searchNodes=[{"doc":"API calls for all endpoints tagged Presentations.","ref":"GoogleApi.Slides.V1.Api.Presentations.html","title":"GoogleApi.Slides.V1.Api.Presentations","type":"module"},{"doc":"Applies one or more updates to the presentation. Each request is validated before being applied. If any request is not valid, then the entire request will fail and nothing will be applied. Some requests have replies to give you some information about how they are applied. Other requests do not need to return information; these each return an empty reply. The order of replies matches that of the requests. For example, suppose you call batchUpdate with four updates, and only the third one returns information. The response would have two empty replies: the reply to the third request, and another empty reply, in that order. Because other users may be editing the presentation, the presentation might not exactly reflect your changes: your changes may be altered with respect to collaborator changes. If there are no collaborators, the presentation should reflect your changes. In any case, the updates in your request are guaranteed to be applied together atomically. Parameters connection (type: GoogleApi.Slides.V1.Connection.t) - Connection to server presentation_id (type: String.t) - The presentation to apply the updates to. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse{}} on success {:error, info} on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_batch_update/4","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_batch_update/4","type":"function"},{"doc":"Creates a blank presentation using the title given in the request. If a presentationId is provided, it is used as the ID of the new presentation. Otherwise, a new ID is generated. Other fields in the request, including any provided content, are ignored. Returns the created presentation. Parameters connection (type: GoogleApi.Slides.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Slides.V1.Model.Presentation.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Slides.V1.Model.Presentation{}} on success {:error, info} on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_create/3","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_create/3","type":"function"},{"doc":"Gets the latest version of the specified presentation. Parameters connection (type: GoogleApi.Slides.V1.Connection.t) - Connection to server presentation_id (type: String.t) - The ID of the presentation to retrieve. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Slides.V1.Model.Presentation{}} on success {:error, info} on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_get/4","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_get/4","type":"function"},{"doc":"Gets the latest version of the specified page in the presentation. Parameters connection (type: GoogleApi.Slides.V1.Connection.t) - Connection to server presentation_id (type: String.t) - The ID of the presentation to retrieve. page_object_id (type: String.t) - The object ID of the page to retrieve. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Slides.V1.Model.Page{}} on success {:error, info} on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_pages_get/5","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_pages_get/5","type":"function"},{"doc":"Generates a thumbnail of the latest version of the specified page in the presentation and returns a URL to the thumbnail image. This request counts as an expensive read request for quota purposes. Parameters connection (type: GoogleApi.Slides.V1.Connection.t) - Connection to server presentation_id (type: String.t) - The ID of the presentation to retrieve. page_object_id (type: String.t) - The object ID of the page whose thumbnail to retrieve. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :&quot;thumbnailProperties.mimeType&quot; (type: String.t) - The optional mime type of the thumbnail image. If you don&#39;t specify the mime type, the mime type defaults to PNG. :&quot;thumbnailProperties.thumbnailSize&quot; (type: String.t) - The optional thumbnail image size. If you don&#39;t specify the size, the server chooses a default size of the image. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Slides.V1.Model.Thumbnail{}} on success {:error, info} on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_pages_get_thumbnail/5","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_pages_get_thumbnail/5","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.Slides.V1.","ref":"GoogleApi.Slides.V1.Connection.html","title":"GoogleApi.Slides.V1.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#delete/3","title":"GoogleApi.Slides.V1.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#delete!/3","title":"GoogleApi.Slides.V1.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.Slides.V1.Connection.html#execute/2","title":"GoogleApi.Slides.V1.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#get/3","title":"GoogleApi.Slides.V1.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#get!/3","title":"GoogleApi.Slides.V1.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#head/3","title":"GoogleApi.Slides.V1.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#head!/3","title":"GoogleApi.Slides.V1.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"GoogleApi.Slides.V1.Connection.html#new/0","title":"GoogleApi.Slides.V1.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"GoogleApi.Slides.V1.Connection.html#new/1","title":"GoogleApi.Slides.V1.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#options/3","title":"GoogleApi.Slides.V1.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#options!/3","title":"GoogleApi.Slides.V1.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#patch/4","title":"GoogleApi.Slides.V1.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#patch!/4","title":"GoogleApi.Slides.V1.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#post/4","title":"GoogleApi.Slides.V1.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#post!/4","title":"GoogleApi.Slides.V1.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#put/4","title":"GoogleApi.Slides.V1.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#put!/4","title":"GoogleApi.Slides.V1.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.Slides.V1.Connection.html#request/2","title":"GoogleApi.Slides.V1.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"GoogleApi.Slides.V1.Connection.html#request!/2","title":"GoogleApi.Slides.V1.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#trace/3","title":"GoogleApi.Slides.V1.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.Slides.V1.Connection.html#trace!/3","title":"GoogleApi.Slides.V1.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Connection.html#t:option/0","title":"GoogleApi.Slides.V1.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.Slides.V1.Connection.html#t:t/0","title":"GoogleApi.Slides.V1.Connection.t/0","type":"type"},{"doc":"AffineTransform uses a 3x3 matrix with an implied last row of [ 0 0 1 ] to transform source coordinates (x,y) into destination coordinates (x&#39;, y&#39;) according to: x&#39; x = shear_y scale_y translate_y 1 [ 1 ] After transformation, x&#39; = scale_x * x + shear_x * y + translate_x; y&#39; = scale_y * y + shear_y * x + translate_y; This message is therefore composed of these six matrix elements. Attributes scaleX (type: float(), default: nil) - The X coordinate scaling element. scaleY (type: float(), default: nil) - The Y coordinate scaling element. shearX (type: float(), default: nil) - The X coordinate shearing element. shearY (type: float(), default: nil) - The Y coordinate shearing element. translateX (type: float(), default: nil) - The X coordinate translation element. translateY (type: float(), default: nil) - The Y coordinate translation element. unit (type: String.t, default: nil) - The units for translate elements.","ref":"GoogleApi.Slides.V1.Model.AffineTransform.html","title":"GoogleApi.Slides.V1.Model.AffineTransform","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.AffineTransform.html#decode/2","title":"GoogleApi.Slides.V1.Model.AffineTransform.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.AffineTransform.html#t:t/0","title":"GoogleApi.Slides.V1.Model.AffineTransform.t/0","type":"type"},{"doc":"A TextElement kind that represents auto text. Attributes content (type: String.t, default: nil) - The rendered content of this auto text, if available. style (type: GoogleApi.Slides.V1.Model.TextStyle.t, default: nil) - The styling applied to this auto text. type (type: String.t, default: nil) - The type of this auto text.","ref":"GoogleApi.Slides.V1.Model.AutoText.html","title":"GoogleApi.Slides.V1.Model.AutoText","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.AutoText.html#decode/2","title":"GoogleApi.Slides.V1.Model.AutoText.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.AutoText.html#t:t/0","title":"GoogleApi.Slides.V1.Model.AutoText.t/0","type":"type"},{"doc":"Request message for PresentationsService.BatchUpdatePresentation. Attributes requests (type: list(GoogleApi.Slides.V1.Model.Request.t), default: nil) - A list of updates to apply to the presentation. writeControl (type: GoogleApi.Slides.V1.Model.WriteControl.t, default: nil) - Provides control over how write requests are executed.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.html","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.t/0","type":"type"},{"doc":"Response message from a batch update. Attributes presentationId (type: String.t, default: nil) - The presentation the updates were applied to. replies (type: list(GoogleApi.Slides.V1.Model.Response.t), default: nil) - The reply of the updates. This maps 1:1 with the updates, although replies to some requests may be empty. writeControl (type: GoogleApi.Slides.V1.Model.WriteControl.t, default: nil) - The updated write control after applying the request.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.html","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.t/0","type":"type"},{"doc":"Describes the bullet of a paragraph. Attributes bulletStyle (type: GoogleApi.Slides.V1.Model.TextStyle.t, default: nil) - The paragraph specific text style applied to this bullet. glyph (type: String.t, default: nil) - The rendered bullet glyph for this paragraph. listId (type: String.t, default: nil) - The ID of the list this paragraph belongs to. nestingLevel (type: integer(), default: nil) - The nesting level of this paragraph in the list.","ref":"GoogleApi.Slides.V1.Model.Bullet.html","title":"GoogleApi.Slides.V1.Model.Bullet","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Bullet.html#decode/2","title":"GoogleApi.Slides.V1.Model.Bullet.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Bullet.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Bullet.t/0","type":"type"},{"doc":"The palette of predefined colors for a page. Attributes colors (type: list(GoogleApi.Slides.V1.Model.ThemeColorPair.t), default: nil) - The ThemeColorType and corresponding concrete color pairs.","ref":"GoogleApi.Slides.V1.Model.ColorScheme.html","title":"GoogleApi.Slides.V1.Model.ColorScheme","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ColorScheme.html#decode/2","title":"GoogleApi.Slides.V1.Model.ColorScheme.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ColorScheme.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ColorScheme.t/0","type":"type"},{"doc":"A color and position in a gradient band. Attributes alpha (type: number(), default: nil) - The alpha value of this color in the gradient band. Defaults to 1.0, fully opaque. color (type: GoogleApi.Slides.V1.Model.OpaqueColor.t, default: nil) - The color of the gradient stop. position (type: number(), default: nil) - The relative position of the color stop in the gradient band measured in percentage. The value should be in the interval [0.0, 1.0].","ref":"GoogleApi.Slides.V1.Model.ColorStop.html","title":"GoogleApi.Slides.V1.Model.ColorStop","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ColorStop.html#decode/2","title":"GoogleApi.Slides.V1.Model.ColorStop.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ColorStop.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ColorStop.t/0","type":"type"},{"doc":"Creates an image. Attributes elementProperties (type: GoogleApi.Slides.V1.Model.PageElementProperties.t, default: nil) - The element properties for the image. When the aspect ratio of the provided size does not match the image aspect ratio, the image is scaled and centered with respect to the size in order to maintain aspect ratio. The provided transform is applied after this operation. The PageElementProperties.size property is optional. If you don&#39;t specify the size, the default size of the image is used. The PageElementProperties.transform property is optional. If you don&#39;t specify a transform, the image will be placed at the top left corner of the page. objectId (type: String.t, default: nil) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the ID must not be less than 5 or greater than 50. If you don&#39;t specify an ID, a unique one is generated. url (type: String.t, default: nil) - The image URL. The image is fetched once at insertion time and a copy is stored for display inside the presentation. Images must be less than 50MB in size, cannot exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF format. The provided URL can be at most 2 kB in length. The URL itself is saved with the image, and exposed via the Image.source_url field.","ref":"GoogleApi.Slides.V1.Model.CreateImageRequest.html","title":"GoogleApi.Slides.V1.Model.CreateImageRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateImageRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateImageRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateImageRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateImageRequest.t/0","type":"type"},{"doc":"The result of creating an image. Attributes objectId (type: String.t, default: nil) - The object ID of the created image.","ref":"GoogleApi.Slides.V1.Model.CreateImageResponse.html","title":"GoogleApi.Slides.V1.Model.CreateImageResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateImageResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateImageResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateImageResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateImageResponse.t/0","type":"type"},{"doc":"Creates a line. Attributes category (type: String.t, default: nil) - The category of the line to be created. The exact line type created is determined based on the category and how it&#39;s routed to connect to other page elements. If you specify both a category and a line_category, the category takes precedence. If you do not specify a value for category, but specify a value for line_category, then the specified line_category value is used. If you do not specify either, then STRAIGHT is used. elementProperties (type: GoogleApi.Slides.V1.Model.PageElementProperties.t, default: nil) - The element properties for the line. lineCategory (type: String.t, default: nil) - The category of the line to be created. Deprecated: use category instead. The exact line type created is determined based on the category and how it&#39;s routed to connect to other page elements. If you specify both a category and a line_category, the category takes precedence. objectId (type: String.t, default: nil) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the ID must not be less than 5 or greater than 50. If you don&#39;t specify an ID, a unique one is generated.","ref":"GoogleApi.Slides.V1.Model.CreateLineRequest.html","title":"GoogleApi.Slides.V1.Model.CreateLineRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateLineRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateLineRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateLineRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateLineRequest.t/0","type":"type"},{"doc":"The result of creating a line. Attributes objectId (type: String.t, default: nil) - The object ID of the created line.","ref":"GoogleApi.Slides.V1.Model.CreateLineResponse.html","title":"GoogleApi.Slides.V1.Model.CreateLineResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateLineResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateLineResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateLineResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateLineResponse.t/0","type":"type"},{"doc":"Creates bullets for all of the paragraphs that overlap with the given text index range. The nesting level of each paragraph will be determined by counting leading tabs in front of each paragraph. To avoid excess space between the bullet and the corresponding paragraph, these leading tabs are removed by this request. This may change the indices of parts of the text. If the paragraph immediately before paragraphs being updated is in a list with a matching preset, the paragraphs being updated are added to that preceding list. Attributes bulletPreset (type: String.t, default: nil) - The kinds of bullet glyphs to be used. Defaults to the BULLET_DISC_CIRCLE_SQUARE preset. cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The optional table cell location if the text to be modified is in a table cell. If present, the object_id must refer to a table. objectId (type: String.t, default: nil) - The object ID of the shape or table containing the text to add bullets to. textRange (type: GoogleApi.Slides.V1.Model.Range.t, default: nil) - The range of text to apply the bullet presets to, based on TextElement indexes.","ref":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.html","title":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.t/0","type":"type"},{"doc":"Creates a new shape. Attributes elementProperties (type: GoogleApi.Slides.V1.Model.PageElementProperties.t, default: nil) - The element properties for the shape. objectId (type: String.t, default: nil) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the ID must not be less than 5 or greater than 50. If empty, a unique identifier will be generated. shapeType (type: String.t, default: nil) - The shape type.","ref":"GoogleApi.Slides.V1.Model.CreateShapeRequest.html","title":"GoogleApi.Slides.V1.Model.CreateShapeRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateShapeRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateShapeRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateShapeRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateShapeRequest.t/0","type":"type"},{"doc":"The result of creating a shape. Attributes objectId (type: String.t, default: nil) - The object ID of the created shape.","ref":"GoogleApi.Slides.V1.Model.CreateShapeResponse.html","title":"GoogleApi.Slides.V1.Model.CreateShapeResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateShapeResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateShapeResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateShapeResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateShapeResponse.t/0","type":"type"},{"doc":"Creates an embedded Google Sheets chart. NOTE: Chart creation requires at least one of the spreadsheets.readonly, spreadsheets, drive.readonly, drive.file, or drive OAuth scopes. Attributes chartId (type: integer(), default: nil) - The ID of the specific chart in the Google Sheets spreadsheet. elementProperties (type: GoogleApi.Slides.V1.Model.PageElementProperties.t, default: nil) - The element properties for the chart. When the aspect ratio of the provided size does not match the chart aspect ratio, the chart is scaled and centered with respect to the size in order to maintain aspect ratio. The provided transform is applied after this operation. linkingMode (type: String.t, default: nil) - The mode with which the chart is linked to the source spreadsheet. When not specified, the chart will be an image that is not linked. objectId (type: String.t, default: nil) - A user-supplied object ID. If specified, the ID must be unique among all pages and page elements in the presentation. The ID should start with a word character [a-zA-Z0-9] and then followed by any number of the following characters [a-zA-Z0-9-:]. The length of the ID should not be less than 5 or greater than 50. If empty, a unique identifier will be generated. spreadsheetId (type: String.t, default: nil) - The ID of the Google Sheets spreadsheet that contains the chart.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.html","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.t/0","type":"type"},{"doc":"The result of creating an embedded Google Sheets chart. Attributes objectId (type: String.t, default: nil) - The object ID of the created chart.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.html","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.t/0","type":"type"},{"doc":"Creates a new slide. Attributes insertionIndex (type: integer(), default: nil) - The optional zero-based index indicating where to insert the slides. If you don&#39;t specify an index, the new slide is created at the end. objectId (type: String.t, default: nil) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the ID must not be less than 5 or greater than 50. If you don&#39;t specify an ID, a unique one is generated. placeholderIdMappings (type: list(GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.t), default: nil) - An optional list of object ID mappings from the placeholder(s) on the layout to the placeholder(s) that will be created on the new slide from that specified layout. Can only be used when slide_layout_reference is specified. slideLayoutReference (type: GoogleApi.Slides.V1.Model.LayoutReference.t, default: nil) - Layout reference of the slide to be inserted, based on the current master, which is one of the following: The master of the previous slide index. The master of the first slide, if the insertion_index is zero. The first master in the presentation, if there are no slides. If the LayoutReference is not found in the current master, a 400 bad request error is returned. If you don&#39;t specify a layout reference, then the new slide will use the predefined layout BLANK.","ref":"GoogleApi.Slides.V1.Model.CreateSlideRequest.html","title":"GoogleApi.Slides.V1.Model.CreateSlideRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateSlideRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateSlideRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateSlideRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateSlideRequest.t/0","type":"type"},{"doc":"The result of creating a slide. Attributes objectId (type: String.t, default: nil) - The object ID of the created slide.","ref":"GoogleApi.Slides.V1.Model.CreateSlideResponse.html","title":"GoogleApi.Slides.V1.Model.CreateSlideResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateSlideResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateSlideResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateSlideResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateSlideResponse.t/0","type":"type"},{"doc":"Creates a new table. Attributes columns (type: integer(), default: nil) - Number of columns in the table. elementProperties (type: GoogleApi.Slides.V1.Model.PageElementProperties.t, default: nil) - The element properties for the table. The table will be created at the provided size, subject to a minimum size. If no size is provided, the table will be automatically sized. Table transforms must have a scale of 1 and no shear components. If no transform is provided, the table will be centered on the page. objectId (type: String.t, default: nil) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the ID must not be less than 5 or greater than 50. If you don&#39;t specify an ID, a unique one is generated. rows (type: integer(), default: nil) - Number of rows in the table.","ref":"GoogleApi.Slides.V1.Model.CreateTableRequest.html","title":"GoogleApi.Slides.V1.Model.CreateTableRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateTableRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateTableRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateTableRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateTableRequest.t/0","type":"type"},{"doc":"The result of creating a table. Attributes objectId (type: String.t, default: nil) - The object ID of the created table.","ref":"GoogleApi.Slides.V1.Model.CreateTableResponse.html","title":"GoogleApi.Slides.V1.Model.CreateTableResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateTableResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateTableResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateTableResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateTableResponse.t/0","type":"type"},{"doc":"Creates a video. NOTE: Creating a video from Google Drive requires that the requesting app have at least one of the drive, drive.readonly, or drive.file OAuth scopes. Attributes elementProperties (type: GoogleApi.Slides.V1.Model.PageElementProperties.t, default: nil) - The element properties for the video. The PageElementProperties.size property is optional. If you don&#39;t specify a size, a default size is chosen by the server. The PageElementProperties.transform property is optional. The transform must not have shear components. If you don&#39;t specify a transform, the video will be placed at the top left corner of the page. id (type: String.t, default: nil) - The video source&#39;s unique identifier for this video. e.g. For YouTube video https://www.youtube.com/watch?v=7U3axjORYZ0, the ID is 7U3axjORYZ0. For a Google Drive video https://drive.google.com/file/d/1xCgQLFTJi5_Xl8DgW_lcUYq5e-q6Hi5Q the ID is 1xCgQLFTJi5_Xl8DgW_lcUYq5e-q6Hi5Q. objectId (type: String.t, default: nil) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the ID must not be less than 5 or greater than 50. If you don&#39;t specify an ID, a unique one is generated. source (type: String.t, default: nil) - The video source.","ref":"GoogleApi.Slides.V1.Model.CreateVideoRequest.html","title":"GoogleApi.Slides.V1.Model.CreateVideoRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateVideoRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateVideoRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateVideoRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateVideoRequest.t/0","type":"type"},{"doc":"The result of creating a video. Attributes objectId (type: String.t, default: nil) - The object ID of the created video.","ref":"GoogleApi.Slides.V1.Model.CreateVideoResponse.html","title":"GoogleApi.Slides.V1.Model.CreateVideoResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateVideoResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.CreateVideoResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CreateVideoResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CreateVideoResponse.t/0","type":"type"},{"doc":"The crop properties of an object enclosed in a container. For example, an Image. The crop properties is represented by the offsets of four edges which define a crop rectangle. The offsets are measured in percentage from the corresponding edges of the object&#39;s original bounding rectangle towards inside, relative to the object&#39;s original dimensions. If the offset is in the interval (0, 1), the corresponding edge of crop rectangle is positioned inside of the object&#39;s original bounding rectangle. If the offset is negative or greater than 1, the corresponding edge of crop rectangle is positioned outside of the object&#39;s original bounding rectangle. If the left edge of the crop rectangle is on the right side of its right edge, the object will be flipped horizontally. If the top edge of the crop rectangle is below its bottom edge, the object will be flipped vertically. If all offsets and rotation angle is 0, the object is not cropped. After cropping, the content in the crop rectangle will be stretched to fit its container. Attributes angle (type: number(), default: nil) - The rotation angle of the crop window around its center, in radians. Rotation angle is applied after the offset. bottomOffset (type: number(), default: nil) - The offset specifies the bottom edge of the crop rectangle that is located above the original bounding rectangle bottom edge, relative to the object&#39;s original height. leftOffset (type: number(), default: nil) - The offset specifies the left edge of the crop rectangle that is located to the right of the original bounding rectangle left edge, relative to the object&#39;s original width. rightOffset (type: number(), default: nil) - The offset specifies the right edge of the crop rectangle that is located to the left of the original bounding rectangle right edge, relative to the object&#39;s original width. topOffset (type: number(), default: nil) - The offset specifies the top edge of the crop rectangle that is located below the original bounding rectangle top edge, relative to the object&#39;s original height.","ref":"GoogleApi.Slides.V1.Model.CropProperties.html","title":"GoogleApi.Slides.V1.Model.CropProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CropProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.CropProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.CropProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.CropProperties.t/0","type":"type"},{"doc":"Deletes an object, either pages or page elements, from the presentation. Attributes objectId (type: String.t, default: nil) - The object ID of the page or page element to delete. If after a delete operation a group contains only 1 or no page elements, the group is also deleted. If a placeholder is deleted on a layout, any empty inheriting shapes are also deleted.","ref":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.html","title":"GoogleApi.Slides.V1.Model.DeleteObjectRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.t/0","type":"type"},{"doc":"Deletes bullets from all of the paragraphs that overlap with the given text index range. The nesting level of each paragraph will be visually preserved by adding indent to the start of the corresponding paragraph. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The optional table cell location if the text to be modified is in a table cell. If present, the object_id must refer to a table. objectId (type: String.t, default: nil) - The object ID of the shape or table containing the text to delete bullets from. textRange (type: GoogleApi.Slides.V1.Model.Range.t, default: nil) - The range of text to delete bullets from, based on TextElement indexes.","ref":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.html","title":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.t/0","type":"type"},{"doc":"Deletes a column from a table. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The reference table cell location from which a column will be deleted. The column this cell spans will be deleted. If this is a merged cell, multiple columns will be deleted. If no columns remain in the table after this deletion, the whole table is deleted. tableObjectId (type: String.t, default: nil) - The table to delete columns from.","ref":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.html","title":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.t/0","type":"type"},{"doc":"Deletes a row from a table. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The reference table cell location from which a row will be deleted. The row this cell spans will be deleted. If this is a merged cell, multiple rows will be deleted. If no rows remain in the table after this deletion, the whole table is deleted. tableObjectId (type: String.t, default: nil) - The table to delete rows from.","ref":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.html","title":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.t/0","type":"type"},{"doc":"Deletes text from a shape or a table cell. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The optional table cell location if the text is to be deleted from a table cell. If present, the object_id must refer to a table. objectId (type: String.t, default: nil) - The object ID of the shape or table from which the text will be deleted. textRange (type: GoogleApi.Slides.V1.Model.Range.t, default: nil) - The range of text to delete, based on TextElement indexes. There is always an implicit newline character at the end of a shape&#39;s or table cell&#39;s text that cannot be deleted. Range.Type.ALL will use the correct bounds, but care must be taken when specifying explicit bounds for range types FROM_START_INDEX and FIXED_RANGE. For example, if the text is &quot;ABC&quot;, followed by an implicit newline, then the maximum value is 2 for text_range.start_index and 3 for text_range.end_index. Deleting text that crosses a paragraph boundary may result in changes to paragraph styles and lists as the two paragraphs are merged. Ranges that include only one code unit of a surrogate pair are expanded to include both code units.","ref":"GoogleApi.Slides.V1.Model.DeleteTextRequest.html","title":"GoogleApi.Slides.V1.Model.DeleteTextRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteTextRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.DeleteTextRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteTextRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.DeleteTextRequest.t/0","type":"type"},{"doc":"A magnitude in a single direction in the specified units. Attributes magnitude (type: float(), default: nil) - The magnitude. unit (type: String.t, default: nil) - The units for magnitude.","ref":"GoogleApi.Slides.V1.Model.Dimension.html","title":"GoogleApi.Slides.V1.Model.Dimension","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Dimension.html#decode/2","title":"GoogleApi.Slides.V1.Model.Dimension.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Dimension.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Dimension.t/0","type":"type"},{"doc":"Duplicates a slide or page element. When duplicating a slide, the duplicate slide will be created immediately following the specified slide. When duplicating a page element, the duplicate will be placed on the same page at the same position as the original. Attributes objectId (type: String.t, default: nil) - The ID of the object to duplicate. objectIds (type: map(), default: nil) - The object being duplicated may contain other objects, for example when duplicating a slide or a group page element. This map defines how the IDs of duplicated objects are generated: the keys are the IDs of the original objects and its values are the IDs that will be assigned to the corresponding duplicate object. The ID of the source object&#39;s duplicate may be specified in this map as well, using the same value of the object_id field as a key and the newly desired ID as the value. All keys must correspond to existing IDs in the presentation. All values must be unique in the presentation and must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the new ID must not be less than 5 or greater than 50. If any IDs of source objects are omitted from the map, a new random ID will be assigned. If the map is empty or unset, all duplicate objects will receive a new random ID.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.html","title":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.t/0","type":"type"},{"doc":"The response of duplicating an object. Attributes objectId (type: String.t, default: nil) - The ID of the new duplicate object.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.html","title":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.t/0","type":"type"},{"doc":"A PageElement kind representing a joined collection of PageElements. Attributes children (type: list(GoogleApi.Slides.V1.Model.PageElement.t), default: nil) - The collection of elements in the group. The minimum size of a group is 2.","ref":"GoogleApi.Slides.V1.Model.Group.html","title":"GoogleApi.Slides.V1.Model.Group","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Group.html#decode/2","title":"GoogleApi.Slides.V1.Model.Group.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Group.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Group.t/0","type":"type"},{"doc":"Groups objects to create an object group. For example, groups PageElements to create a Group on the same page as all the children. Attributes childrenObjectIds (type: list(String.t), default: nil) - The object IDs of the objects to group. Only page elements can be grouped. There should be at least two page elements on the same page that are not already in another group. Some page elements, such as videos, tables and placeholder shapes cannot be grouped. groupObjectId (type: String.t, default: nil) - A user-supplied object ID for the group to be created. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the ID must not be less than 5 or greater than 50. If you don&#39;t specify an ID, a unique one is generated.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.html","title":"GoogleApi.Slides.V1.Model.GroupObjectsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.t/0","type":"type"},{"doc":"The result of grouping objects. Attributes objectId (type: String.t, default: nil) - The object ID of the created group.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.html","title":"GoogleApi.Slides.V1.Model.GroupObjectsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.t/0","type":"type"},{"doc":"A PageElement kind representing an image. Attributes contentUrl (type: String.t, default: nil) - An URL to an image with a default lifetime of 30 minutes. This URL is tagged with the account of the requester. Anyone with the URL effectively accesses the image as the original requester. Access to the image may be lost if the presentation&#39;s sharing settings change. imageProperties (type: GoogleApi.Slides.V1.Model.ImageProperties.t, default: nil) - The properties of the image. sourceUrl (type: String.t, default: nil) - The source URL is the URL used to insert the image. The source URL can be empty.","ref":"GoogleApi.Slides.V1.Model.Image.html","title":"GoogleApi.Slides.V1.Model.Image","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Image.html#decode/2","title":"GoogleApi.Slides.V1.Model.Image.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Image.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Image.t/0","type":"type"},{"doc":"The properties of the Image. Attributes brightness (type: number(), default: nil) - The brightness effect of the image. The value should be in the interval [-1.0, 1.0], where 0 means no effect. This property is read-only. contrast (type: number(), default: nil) - The contrast effect of the image. The value should be in the interval [-1.0, 1.0], where 0 means no effect. This property is read-only. cropProperties (type: GoogleApi.Slides.V1.Model.CropProperties.t, default: nil) - The crop properties of the image. If not set, the image is not cropped. This property is read-only. link (type: GoogleApi.Slides.V1.Model.Link.t, default: nil) - The hyperlink destination of the image. If unset, there is no link. outline (type: GoogleApi.Slides.V1.Model.Outline.t, default: nil) - The outline of the image. If not set, the image has no outline. recolor (type: GoogleApi.Slides.V1.Model.Recolor.t, default: nil) - The recolor effect of the image. If not set, the image is not recolored. This property is read-only. shadow (type: GoogleApi.Slides.V1.Model.Shadow.t, default: nil) - The shadow of the image. If not set, the image has no shadow. This property is read-only. transparency (type: number(), default: nil) - The transparency effect of the image. The value should be in the interval [0.0, 1.0], where 0 means no effect and 1 means completely transparent. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.ImageProperties.html","title":"GoogleApi.Slides.V1.Model.ImageProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ImageProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.ImageProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ImageProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ImageProperties.t/0","type":"type"},{"doc":"Inserts columns into a table. Other columns in the table will be resized to fit the new column. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The reference table cell location from which columns will be inserted. A new column will be inserted to the left (or right) of the column where the reference cell is. If the reference cell is a merged cell, a new column will be inserted to the left (or right) of the merged cell. insertRight (type: boolean(), default: nil) - Whether to insert new columns to the right of the reference cell location. True: insert to the right. False: insert to the left. number (type: integer(), default: nil) - The number of columns to be inserted. Maximum 20 per request. tableObjectId (type: String.t, default: nil) - The table to insert columns into.","ref":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.html","title":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.t/0","type":"type"},{"doc":"Inserts rows into a table. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The reference table cell location from which rows will be inserted. A new row will be inserted above (or below) the row where the reference cell is. If the reference cell is a merged cell, a new row will be inserted above (or below) the merged cell. insertBelow (type: boolean(), default: nil) - Whether to insert new rows below the reference cell location. True: insert below the cell. False: insert above the cell. number (type: integer(), default: nil) - The number of rows to be inserted. Maximum 20 per request. tableObjectId (type: String.t, default: nil) - The table to insert rows into.","ref":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.html","title":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.t/0","type":"type"},{"doc":"Inserts text into a shape or a table cell. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The optional table cell location if the text is to be inserted into a table cell. If present, the object_id must refer to a table. insertionIndex (type: integer(), default: nil) - The index where the text will be inserted, in Unicode code units, based on TextElement indexes. The index is zero-based and is computed from the start of the string. The index may be adjusted to prevent insertions inside Unicode grapheme clusters. In these cases, the text will be inserted immediately after the grapheme cluster. objectId (type: String.t, default: nil) - The object ID of the shape or table where the text will be inserted. text (type: String.t, default: nil) - The text to be inserted. Inserting a newline character will implicitly create a new ParagraphMarker at that index. The paragraph style of the new paragraph will be copied from the paragraph at the current insertion index, including lists and bullets. Text styles for inserted text will be determined automatically, generally preserving the styling of neighboring text. In most cases, the text will be added to the TextRun that exists at the insertion index. Some control characters (U+0000-U+0008, U+000C-U+001F) and characters from the Unicode Basic Multilingual Plane Private Use Area (U+E000-U+F8FF) will be stripped out of the inserted text.","ref":"GoogleApi.Slides.V1.Model.InsertTextRequest.html","title":"GoogleApi.Slides.V1.Model.InsertTextRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.InsertTextRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.InsertTextRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.InsertTextRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.InsertTextRequest.t/0","type":"type"},{"doc":"The user-specified ID mapping for a placeholder that will be created on a slide from a specified layout. Attributes layoutPlaceholder (type: GoogleApi.Slides.V1.Model.Placeholder.t, default: nil) - The placeholder on a layout that will be applied to a slide. Only type and index are needed. For example, a predefined TITLE_AND_BODY layout may usually have a TITLE placeholder with index 0 and a BODY placeholder with index 0. layoutPlaceholderObjectId (type: String.t, default: nil) - The object ID of the placeholder on a layout that will be applied to a slide. objectId (type: String.t, default: nil) - A user-supplied object ID for the placeholder identified above that to be created onto a slide. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex [a-zA-Z0-9_]); remaining characters may include those as well as a hyphen or colon (matches regex [a-zA-Z0-9_-:]). The length of the ID must not be less than 5 or greater than 50. If you don&#39;t specify an ID, a unique one is generated.","ref":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.html","title":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.html#decode/2","title":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.html#t:t/0","title":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.t/0","type":"type"},{"doc":"The properties of Page are only relevant for pages with page_type LAYOUT. Attributes displayName (type: String.t, default: nil) - The human-readable name of the layout. masterObjectId (type: String.t, default: nil) - The object ID of the master that this layout is based on. name (type: String.t, default: nil) - The name of the layout.","ref":"GoogleApi.Slides.V1.Model.LayoutProperties.html","title":"GoogleApi.Slides.V1.Model.LayoutProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LayoutProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.LayoutProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.LayoutProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.LayoutProperties.t/0","type":"type"},{"doc":"Slide layout reference. This may reference either: A predefined layout One of the layouts in the presentation. Attributes layoutId (type: String.t, default: nil) - Layout ID: the object ID of one of the layouts in the presentation. predefinedLayout (type: String.t, default: nil) - Predefined layout.","ref":"GoogleApi.Slides.V1.Model.LayoutReference.html","title":"GoogleApi.Slides.V1.Model.LayoutReference","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LayoutReference.html#decode/2","title":"GoogleApi.Slides.V1.Model.LayoutReference.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.LayoutReference.html#t:t/0","title":"GoogleApi.Slides.V1.Model.LayoutReference.t/0","type":"type"},{"doc":"A PageElement kind representing a non-connector line, straight connector, curved connector, or bent connector. Attributes lineCategory (type: String.t, default: nil) - The category of the line. It matches the category specified in CreateLineRequest, and can be updated with UpdateLineCategoryRequest. lineProperties (type: GoogleApi.Slides.V1.Model.LineProperties.t, default: nil) - The properties of the line. lineType (type: String.t, default: nil) - The type of the line.","ref":"GoogleApi.Slides.V1.Model.Line.html","title":"GoogleApi.Slides.V1.Model.Line","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Line.html#decode/2","title":"GoogleApi.Slides.V1.Model.Line.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Line.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Line.t/0","type":"type"},{"doc":"The properties for one end of a Line connection. Attributes connectedObjectId (type: String.t, default: nil) - The object ID of the connected page element. Some page elements, such as groups, tables, and lines do not have connection sites and therefore cannot be connected to a connector line. connectionSiteIndex (type: integer(), default: nil) - The index of the connection site on the connected page element. In most cases, it corresponds to the predefined connection site index from the ECMA-376 standard. More information on those connection sites can be found in the description of the &quot;cnx&quot; attribute in section 20.1.9.9 and Annex H. &quot;Predefined DrawingML Shape and Text Geometries&quot; of &quot;Office Open XML File Formats-Fundamentals and Markup Language Reference&quot;, part 1 of [ECMA-376 5th edition] (http://www.ecma-international.org/publications/standards/Ecma-376.htm). The position of each connection site can also be viewed from Slides editor.","ref":"GoogleApi.Slides.V1.Model.LineConnection.html","title":"GoogleApi.Slides.V1.Model.LineConnection","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LineConnection.html#decode/2","title":"GoogleApi.Slides.V1.Model.LineConnection.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.LineConnection.html#t:t/0","title":"GoogleApi.Slides.V1.Model.LineConnection.t/0","type":"type"},{"doc":"The fill of the line. Attributes solidFill (type: GoogleApi.Slides.V1.Model.SolidFill.t, default: nil) - Solid color fill.","ref":"GoogleApi.Slides.V1.Model.LineFill.html","title":"GoogleApi.Slides.V1.Model.LineFill","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LineFill.html#decode/2","title":"GoogleApi.Slides.V1.Model.LineFill.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.LineFill.html#t:t/0","title":"GoogleApi.Slides.V1.Model.LineFill.t/0","type":"type"},{"doc":"The properties of the Line. When unset, these fields default to values that match the appearance of new lines created in the Slides editor. Attributes dashStyle (type: String.t, default: nil) - The dash style of the line. endArrow (type: String.t, default: nil) - The style of the arrow at the end of the line. endConnection (type: GoogleApi.Slides.V1.Model.LineConnection.t, default: nil) - The connection at the end of the line. If unset, there is no connection. Only lines with a Type indicating it is a &quot;connector&quot; can have an end_connection. lineFill (type: GoogleApi.Slides.V1.Model.LineFill.t, default: nil) - The fill of the line. The default line fill matches the defaults for new lines created in the Slides editor. link (type: GoogleApi.Slides.V1.Model.Link.t, default: nil) - The hyperlink destination of the line. If unset, there is no link. startArrow (type: String.t, default: nil) - The style of the arrow at the beginning of the line. startConnection (type: GoogleApi.Slides.V1.Model.LineConnection.t, default: nil) - The connection at the beginning of the line. If unset, there is no connection. Only lines with a Type indicating it is a &quot;connector&quot; can have a start_connection. weight (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The thickness of the line.","ref":"GoogleApi.Slides.V1.Model.LineProperties.html","title":"GoogleApi.Slides.V1.Model.LineProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LineProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.LineProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.LineProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.LineProperties.t/0","type":"type"},{"doc":"A hypertext link. Attributes pageObjectId (type: String.t, default: nil) - If set, indicates this is a link to the specific page in this presentation with this ID. A page with this ID may not exist. relativeLink (type: String.t, default: nil) - If set, indicates this is a link to a slide in this presentation, addressed by its position. slideIndex (type: integer(), default: nil) - If set, indicates this is a link to the slide at this zero-based index in the presentation. There may not be a slide at this index. url (type: String.t, default: nil) - If set, indicates this is a link to the external web page at this URL.","ref":"GoogleApi.Slides.V1.Model.Link.html","title":"GoogleApi.Slides.V1.Model.Link","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Link.html#decode/2","title":"GoogleApi.Slides.V1.Model.Link.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Link.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Link.t/0","type":"type"},{"doc":"A List describes the look and feel of bullets belonging to paragraphs associated with a list. A paragraph that is part of a list has an implicit reference to that list&#39;s ID. Attributes listId (type: String.t, default: nil) - The ID of the list. nestingLevel (type: %{optional(String.t) =&gt; GoogleApi.Slides.V1.Model.NestingLevel.t}, default: nil) - A map of nesting levels to the properties of bullets at the associated level. A list has at most nine levels of nesting, so the possible values for the keys of this map are 0 through 8, inclusive.","ref":"GoogleApi.Slides.V1.Model.List.html","title":"GoogleApi.Slides.V1.Model.List","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.List.html#decode/2","title":"GoogleApi.Slides.V1.Model.List.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.List.html#t:t/0","title":"GoogleApi.Slides.V1.Model.List.t/0","type":"type"},{"doc":"The properties of Page that are only relevant for pages with page_type MASTER. Attributes displayName (type: String.t, default: nil) - The human-readable name of the master.","ref":"GoogleApi.Slides.V1.Model.MasterProperties.html","title":"GoogleApi.Slides.V1.Model.MasterProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.MasterProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.MasterProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.MasterProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.MasterProperties.t/0","type":"type"},{"doc":"Merges cells in a Table. Attributes objectId (type: String.t, default: nil) - The object ID of the table. tableRange (type: GoogleApi.Slides.V1.Model.TableRange.t, default: nil) - The table range specifying which cells of the table to merge. Any text in the cells being merged will be concatenated and stored in the upper-left (&quot;head&quot;) cell of the range. If the range is non-rectangular (which can occur in some cases where the range covers cells that are already merged), a 400 bad request error is returned.","ref":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.html","title":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.t/0","type":"type"},{"doc":"Contains properties describing the look and feel of a list bullet at a given level of nesting. Attributes bulletStyle (type: GoogleApi.Slides.V1.Model.TextStyle.t, default: nil) - The style of a bullet at this level of nesting.","ref":"GoogleApi.Slides.V1.Model.NestingLevel.html","title":"GoogleApi.Slides.V1.Model.NestingLevel","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.NestingLevel.html#decode/2","title":"GoogleApi.Slides.V1.Model.NestingLevel.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.NestingLevel.html#t:t/0","title":"GoogleApi.Slides.V1.Model.NestingLevel.t/0","type":"type"},{"doc":"The properties of Page that are only relevant for pages with page_type NOTES. Attributes speakerNotesObjectId (type: String.t, default: nil) - The object ID of the shape on this notes page that contains the speaker notes for the corresponding slide. The actual shape may not always exist on the notes page. Inserting text using this object ID will automatically create the shape. In this case, the actual shape may have different object ID. The GetPresentation or GetPage action will always return the latest object ID.","ref":"GoogleApi.Slides.V1.Model.NotesProperties.html","title":"GoogleApi.Slides.V1.Model.NotesProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.NotesProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.NotesProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.NotesProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.NotesProperties.t/0","type":"type"},{"doc":"A themeable solid color value. Attributes rgbColor (type: GoogleApi.Slides.V1.Model.RgbColor.t, default: nil) - An opaque RGB color. themeColor (type: String.t, default: nil) - An opaque theme color.","ref":"GoogleApi.Slides.V1.Model.OpaqueColor.html","title":"GoogleApi.Slides.V1.Model.OpaqueColor","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.OpaqueColor.html#decode/2","title":"GoogleApi.Slides.V1.Model.OpaqueColor.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.OpaqueColor.html#t:t/0","title":"GoogleApi.Slides.V1.Model.OpaqueColor.t/0","type":"type"},{"doc":"A color that can either be fully opaque or fully transparent. Attributes opaqueColor (type: GoogleApi.Slides.V1.Model.OpaqueColor.t, default: nil) - If set, this will be used as an opaque color. If unset, this represents a transparent color.","ref":"GoogleApi.Slides.V1.Model.OptionalColor.html","title":"GoogleApi.Slides.V1.Model.OptionalColor","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.OptionalColor.html#decode/2","title":"GoogleApi.Slides.V1.Model.OptionalColor.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.OptionalColor.html#t:t/0","title":"GoogleApi.Slides.V1.Model.OptionalColor.t/0","type":"type"},{"doc":"The outline of a PageElement. If these fields are unset, they may be inherited from a parent placeholder if it exists. If there is no parent, the fields will default to the value used for new page elements created in the Slides editor, which may depend on the page element kind. Attributes dashStyle (type: String.t, default: nil) - The dash style of the outline. outlineFill (type: GoogleApi.Slides.V1.Model.OutlineFill.t, default: nil) - The fill of the outline. propertyState (type: String.t, default: nil) - The outline property state. Updating the outline on a page element will implicitly update this field to RENDERED, unless another value is specified in the same request. To have no outline on a page element, set this field to NOT_RENDERED. In this case, any other outline fields set in the same request will be ignored. weight (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The thickness of the outline.","ref":"GoogleApi.Slides.V1.Model.Outline.html","title":"GoogleApi.Slides.V1.Model.Outline","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Outline.html#decode/2","title":"GoogleApi.Slides.V1.Model.Outline.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Outline.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Outline.t/0","type":"type"},{"doc":"The fill of the outline. Attributes solidFill (type: GoogleApi.Slides.V1.Model.SolidFill.t, default: nil) - Solid color fill.","ref":"GoogleApi.Slides.V1.Model.OutlineFill.html","title":"GoogleApi.Slides.V1.Model.OutlineFill","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.OutlineFill.html#decode/2","title":"GoogleApi.Slides.V1.Model.OutlineFill.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.OutlineFill.html#t:t/0","title":"GoogleApi.Slides.V1.Model.OutlineFill.t/0","type":"type"},{"doc":"A page in a presentation. Attributes layoutProperties (type: GoogleApi.Slides.V1.Model.LayoutProperties.t, default: nil) - Layout specific properties. Only set if page_type = LAYOUT. masterProperties (type: GoogleApi.Slides.V1.Model.MasterProperties.t, default: nil) - Master specific properties. Only set if page_type = MASTER. notesProperties (type: GoogleApi.Slides.V1.Model.NotesProperties.t, default: nil) - Notes specific properties. Only set if page_type = NOTES. objectId (type: String.t, default: nil) - The object ID for this page. Object IDs used by Page and PageElement share the same namespace. pageElements (type: list(GoogleApi.Slides.V1.Model.PageElement.t), default: nil) - The page elements rendered on the page. pageProperties (type: GoogleApi.Slides.V1.Model.PageProperties.t, default: nil) - The properties of the page. pageType (type: String.t, default: nil) - The type of the page. revisionId (type: String.t, default: nil) - The revision ID of the presentation containing this page. Can be used in update requests to assert that the presentation revision hasn&#39;t changed since the last read operation. Only populated if the user has edit access to the presentation. The format of the revision ID may change over time, so it should be treated opaquely. A returned revision ID is only guaranteed to be valid for 24 hours after it has been returned and cannot be shared across users. If the revision ID is unchanged between calls, then the presentation has not changed. Conversely, a changed ID (for the same presentation and user) usually means the presentation has been updated; however, a changed ID can also be due to internal factors such as ID format changes. slideProperties (type: GoogleApi.Slides.V1.Model.SlideProperties.t, default: nil) - Slide specific properties. Only set if page_type = SLIDE.","ref":"GoogleApi.Slides.V1.Model.Page.html","title":"GoogleApi.Slides.V1.Model.Page","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Page.html#decode/2","title":"GoogleApi.Slides.V1.Model.Page.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Page.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Page.t/0","type":"type"},{"doc":"The page background fill. Attributes propertyState (type: String.t, default: nil) - The background fill property state. Updating the fill on a page will implicitly update this field to RENDERED, unless another value is specified in the same request. To have no fill on a page, set this field to NOT_RENDERED. In this case, any other fill fields set in the same request will be ignored. solidFill (type: GoogleApi.Slides.V1.Model.SolidFill.t, default: nil) - Solid color fill. stretchedPictureFill (type: GoogleApi.Slides.V1.Model.StretchedPictureFill.t, default: nil) - Stretched picture fill.","ref":"GoogleApi.Slides.V1.Model.PageBackgroundFill.html","title":"GoogleApi.Slides.V1.Model.PageBackgroundFill","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.PageBackgroundFill.html#decode/2","title":"GoogleApi.Slides.V1.Model.PageBackgroundFill.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.PageBackgroundFill.html#t:t/0","title":"GoogleApi.Slides.V1.Model.PageBackgroundFill.t/0","type":"type"},{"doc":"A visual element rendered on a page. Attributes description (type: String.t, default: nil) - The description of the page element. Combined with title to display alt text. elementGroup (type: GoogleApi.Slides.V1.Model.Group.t, default: nil) - A collection of page elements joined as a single unit. image (type: GoogleApi.Slides.V1.Model.Image.t, default: nil) - An image page element. line (type: GoogleApi.Slides.V1.Model.Line.t, default: nil) - A line page element. objectId (type: String.t, default: nil) - The object ID for this page element. Object IDs used by google.apps.slides.v1.Page and google.apps.slides.v1.PageElement share the same namespace. shape (type: GoogleApi.Slides.V1.Model.Shape.t, default: nil) - A generic shape. sheetsChart (type: GoogleApi.Slides.V1.Model.SheetsChart.t, default: nil) - A linked chart embedded from Google Sheets. Unlinked charts are represented as images. size (type: GoogleApi.Slides.V1.Model.Size.t, default: nil) - The size of the page element. table (type: GoogleApi.Slides.V1.Model.Table.t, default: nil) - A table page element. title (type: String.t, default: nil) - The title of the page element. Combined with description to display alt text. transform (type: GoogleApi.Slides.V1.Model.AffineTransform.t, default: nil) - The transform of the page element. The visual appearance of the page element is determined by its absolute transform. To compute the absolute transform, preconcatenate a page element&#39;s transform with the transforms of all of its parent groups. If the page element is not in a group, its absolute transform is the same as the value in this field. The initial transform for the newly created Group is always the identity transform. video (type: GoogleApi.Slides.V1.Model.Video.t, default: nil) - A video page element. wordArt (type: GoogleApi.Slides.V1.Model.WordArt.t, default: nil) - A word art page element.","ref":"GoogleApi.Slides.V1.Model.PageElement.html","title":"GoogleApi.Slides.V1.Model.PageElement","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.PageElement.html#decode/2","title":"GoogleApi.Slides.V1.Model.PageElement.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.PageElement.html#t:t/0","title":"GoogleApi.Slides.V1.Model.PageElement.t/0","type":"type"},{"doc":"Common properties for a page element. Note: When you initially create a PageElement, the API may modify the values of both size and transform, but the visual size will be unchanged. Attributes pageObjectId (type: String.t, default: nil) - The object ID of the page where the element is located. size (type: GoogleApi.Slides.V1.Model.Size.t, default: nil) - The size of the element. transform (type: GoogleApi.Slides.V1.Model.AffineTransform.t, default: nil) - The transform for the element.","ref":"GoogleApi.Slides.V1.Model.PageElementProperties.html","title":"GoogleApi.Slides.V1.Model.PageElementProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.PageElementProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.PageElementProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.PageElementProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.PageElementProperties.t/0","type":"type"},{"doc":"The properties of the Page. The page will inherit properties from the parent page. Depending on the page type the hierarchy is defined in either SlideProperties or LayoutProperties. Attributes colorScheme (type: GoogleApi.Slides.V1.Model.ColorScheme.t, default: nil) - The color scheme of the page. If unset, the color scheme is inherited from a parent page. If the page has no parent, the color scheme uses a default Slides color scheme, matching the defaults in the Slides editor. Only the concrete colors of the first 12 ThemeColorTypes are editable. In addition, only the color scheme on Master pages can be updated. To update the field, a color scheme containing mappings from all the first 12 ThemeColorTypes to their concrete colors must be provided. Colors for the remaining ThemeColorTypes will be ignored. pageBackgroundFill (type: GoogleApi.Slides.V1.Model.PageBackgroundFill.t, default: nil) - The background fill of the page. If unset, the background fill is inherited from a parent page if it exists. If the page has no parent, then the background fill defaults to the corresponding fill in the Slides editor.","ref":"GoogleApi.Slides.V1.Model.PageProperties.html","title":"GoogleApi.Slides.V1.Model.PageProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.PageProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.PageProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.PageProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.PageProperties.t/0","type":"type"},{"doc":"A TextElement kind that represents the beginning of a new paragraph. Attributes bullet (type: GoogleApi.Slides.V1.Model.Bullet.t, default: nil) - The bullet for this paragraph. If not present, the paragraph does not belong to a list. style (type: GoogleApi.Slides.V1.Model.ParagraphStyle.t, default: nil) - The paragraph&#39;s style","ref":"GoogleApi.Slides.V1.Model.ParagraphMarker.html","title":"GoogleApi.Slides.V1.Model.ParagraphMarker","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ParagraphMarker.html#decode/2","title":"GoogleApi.Slides.V1.Model.ParagraphMarker.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ParagraphMarker.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ParagraphMarker.t/0","type":"type"},{"doc":"Styles that apply to a whole paragraph. If this text is contained in a shape with a parent placeholder, then these paragraph styles may be inherited from the parent. Which paragraph styles are inherited depend on the nesting level of lists: A paragraph not in a list will inherit its paragraph style from the paragraph at the 0 nesting level of the list inside the parent placeholder. A paragraph in a list will inherit its paragraph style from the paragraph at its corresponding nesting level of the list inside the parent placeholder. Inherited paragraph styles are represented as unset fields in this message. Attributes alignment (type: String.t, default: nil) - The text alignment for this paragraph. direction (type: String.t, default: nil) - The text direction of this paragraph. If unset, the value defaults to LEFT_TO_RIGHT since text direction is not inherited. indentEnd (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The amount indentation for the paragraph on the side that corresponds to the end of the text, based on the current text direction. If unset, the value is inherited from the parent. indentFirstLine (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The amount of indentation for the start of the first line of the paragraph. If unset, the value is inherited from the parent. indentStart (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The amount indentation for the paragraph on the side that corresponds to the start of the text, based on the current text direction. If unset, the value is inherited from the parent. lineSpacing (type: number(), default: nil) - The amount of space between lines, as a percentage of normal, where normal is represented as 100.0. If unset, the value is inherited from the parent. spaceAbove (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The amount of extra space above the paragraph. If unset, the value is inherited from the parent. spaceBelow (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The amount of extra space below the paragraph. If unset, the value is inherited from the parent. spacingMode (type: String.t, default: nil) - The spacing mode for the paragraph.","ref":"GoogleApi.Slides.V1.Model.ParagraphStyle.html","title":"GoogleApi.Slides.V1.Model.ParagraphStyle","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ParagraphStyle.html#decode/2","title":"GoogleApi.Slides.V1.Model.ParagraphStyle.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ParagraphStyle.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ParagraphStyle.t/0","type":"type"},{"doc":"The placeholder information that uniquely identifies a placeholder shape. Attributes index (type: integer(), default: nil) - The index of the placeholder. If the same placeholder types are present in the same page, they would have different index values. parentObjectId (type: String.t, default: nil) - The object ID of this shape&#39;s parent placeholder. If unset, the parent placeholder shape does not exist, so the shape does not inherit properties from any other shape. type (type: String.t, default: nil) - The type of the placeholder.","ref":"GoogleApi.Slides.V1.Model.Placeholder.html","title":"GoogleApi.Slides.V1.Model.Placeholder","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Placeholder.html#decode/2","title":"GoogleApi.Slides.V1.Model.Placeholder.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Placeholder.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Placeholder.t/0","type":"type"},{"doc":"A Google Slides presentation. Attributes layouts (type: list(GoogleApi.Slides.V1.Model.Page.t), default: nil) - The layouts in the presentation. A layout is a template that determines how content is arranged and styled on the slides that inherit from that layout. locale (type: String.t, default: nil) - The locale of the presentation, as an IETF BCP 47 language tag. masters (type: list(GoogleApi.Slides.V1.Model.Page.t), default: nil) - The slide masters in the presentation. A slide master contains all common page elements and the common properties for a set of layouts. They serve three purposes: Placeholder shapes on a master contain the default text styles and shape properties of all placeholder shapes on pages that use that master. The master page properties define the common page properties inherited by its layouts. Any other shapes on the master slide appear on all slides using that master, regardless of their layout. notesMaster (type: GoogleApi.Slides.V1.Model.Page.t, default: nil) - The notes master in the presentation. It serves three purposes: Placeholder shapes on a notes master contain the default text styles and shape properties of all placeholder shapes on notes pages. Specifically, a SLIDE_IMAGE placeholder shape contains the slide thumbnail, and a BODY placeholder shape contains the speaker notes. The notes master page properties define the common page properties inherited by all notes pages. Any other shapes on the notes master appears on all notes pages. The notes master is read-only. pageSize (type: GoogleApi.Slides.V1.Model.Size.t, default: nil) - The size of pages in the presentation. presentationId (type: String.t, default: nil) - The ID of the presentation. revisionId (type: String.t, default: nil) - The revision ID of the presentation. Can be used in update requests to assert that the presentation revision hasn&#39;t changed since the last read operation. Only populated if the user has edit access to the presentation. The format of the revision ID may change over time, so it should be treated opaquely. A returned revision ID is only guaranteed to be valid for 24 hours after it has been returned and cannot be shared across users. If the revision ID is unchanged between calls, then the presentation has not changed. Conversely, a changed ID (for the same presentation and user) usually means the presentation has been updated; however, a changed ID can also be due to internal factors such as ID format changes. slides (type: list(GoogleApi.Slides.V1.Model.Page.t), default: nil) - The slides in the presentation. A slide inherits properties from a slide layout. title (type: String.t, default: nil) - The title of the presentation.","ref":"GoogleApi.Slides.V1.Model.Presentation.html","title":"GoogleApi.Slides.V1.Model.Presentation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Presentation.html#decode/2","title":"GoogleApi.Slides.V1.Model.Presentation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Presentation.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Presentation.t/0","type":"type"},{"doc":"Specifies a contiguous range of an indexed collection, such as characters in text. Attributes endIndex (type: integer(), default: nil) - The optional zero-based index of the end of the collection. Required for FIXED_RANGE ranges. startIndex (type: integer(), default: nil) - The optional zero-based index of the beginning of the collection. Required for FIXED_RANGE and FROM_START_INDEX ranges. type (type: String.t, default: nil) - The type of range.","ref":"GoogleApi.Slides.V1.Model.Range.html","title":"GoogleApi.Slides.V1.Model.Range","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Range.html#decode/2","title":"GoogleApi.Slides.V1.Model.Range.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Range.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Range.t/0","type":"type"},{"doc":"A recolor effect applied on an image. Attributes name (type: String.t, default: nil) - The name of the recolor effect. The name is determined from the recolor_stops by matching the gradient against the colors in the page&#39;s current color scheme. This property is read-only. recolorStops (type: list(GoogleApi.Slides.V1.Model.ColorStop.t), default: nil) - The recolor effect is represented by a gradient, which is a list of color stops. The colors in the gradient will replace the corresponding colors at the same position in the color palette and apply to the image. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.Recolor.html","title":"GoogleApi.Slides.V1.Model.Recolor","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Recolor.html#decode/2","title":"GoogleApi.Slides.V1.Model.Recolor.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Recolor.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Recolor.t/0","type":"type"},{"doc":"Refreshes an embedded Google Sheets chart by replacing it with the latest version of the chart from Google Sheets. NOTE: Refreshing charts requires at least one of the spreadsheets.readonly, spreadsheets, drive.readonly, or drive OAuth scopes. Attributes objectId (type: String.t, default: nil) - The object ID of the chart to refresh.","ref":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.html","title":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.t/0","type":"type"},{"doc":"Replaces all shapes that match the given criteria with the provided image. The images replacing the shapes are rectangular after being inserted into the presentation and do not take on the forms of the shapes. Attributes containsText (type: GoogleApi.Slides.V1.Model.SubstringMatchCriteria.t, default: nil) - If set, this request will replace all of the shapes that contain the given text. imageReplaceMethod (type: String.t, default: nil) - The image replace method. If you specify both a replace_method and an image_replace_method, the image_replace_method takes precedence. If you do not specify a value for image_replace_method, but specify a value for replace_method, then the specified replace_method value is used. If you do not specify either, then CENTER_INSIDE is used. imageUrl (type: String.t, default: nil) - The image URL. The image is fetched once at insertion time and a copy is stored for display inside the presentation. Images must be less than 50MB in size, cannot exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF format. The provided URL can be at most 2 kB in length. The URL itself is saved with the image, and exposed via the Image.source_url field. pageObjectIds (type: list(String.t), default: nil) - If non-empty, limits the matches to page elements only on the given pages. Returns a 400 bad request error if given the page object ID of a notes page or a notes master, or if a page with that object ID doesn&#39;t exist in the presentation. replaceMethod (type: String.t, default: nil) - The replace method. Deprecated: use image_replace_method instead. If you specify both a replace_method and an image_replace_method, the image_replace_method takes precedence.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.html","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.t/0","type":"type"},{"doc":"The result of replacing shapes with an image. Attributes occurrencesChanged (type: integer(), default: nil) - The number of shapes replaced with images.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.html","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.t/0","type":"type"},{"doc":"Replaces all shapes that match the given criteria with the provided Google Sheets chart. The chart will be scaled and centered to fit within the bounds of the original shape. NOTE: Replacing shapes with a chart requires at least one of the spreadsheets.readonly, spreadsheets, drive.readonly, or drive OAuth scopes. Attributes chartId (type: integer(), default: nil) - The ID of the specific chart in the Google Sheets spreadsheet. containsText (type: GoogleApi.Slides.V1.Model.SubstringMatchCriteria.t, default: nil) - The criteria that the shapes must match in order to be replaced. The request will replace all of the shapes that contain the given text. linkingMode (type: String.t, default: nil) - The mode with which the chart is linked to the source spreadsheet. When not specified, the chart will be an image that is not linked. pageObjectIds (type: list(String.t), default: nil) - If non-empty, limits the matches to page elements only on the given pages. Returns a 400 bad request error if given the page object ID of a notes page or a notes master, or if a page with that object ID doesn&#39;t exist in the presentation. spreadsheetId (type: String.t, default: nil) - The ID of the Google Sheets spreadsheet that contains the chart.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.html","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.t/0","type":"type"},{"doc":"The result of replacing shapes with a Google Sheets chart. Attributes occurrencesChanged (type: integer(), default: nil) - The number of shapes replaced with charts.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.html","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.t/0","type":"type"},{"doc":"Replaces all instances of text matching a criteria with replace text. Attributes containsText (type: GoogleApi.Slides.V1.Model.SubstringMatchCriteria.t, default: nil) - Finds text in a shape matching this substring. pageObjectIds (type: list(String.t), default: nil) - If non-empty, limits the matches to page elements only on the given pages. Returns a 400 bad request error if given the page object ID of a notes master, or if a page with that object ID doesn&#39;t exist in the presentation. replaceText (type: String.t, default: nil) - The text that will replace the matched text.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.html","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.t/0","type":"type"},{"doc":"The result of replacing text. Attributes occurrencesChanged (type: integer(), default: nil) - The number of occurrences changed by replacing all text.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.html","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.html#decode/2","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.t/0","type":"type"},{"doc":"Replaces an existing image with a new image. Replacing an image removes some image effects from the existing image. Attributes imageObjectId (type: String.t, default: nil) - The ID of the existing image that will be replaced. imageReplaceMethod (type: String.t, default: nil) - The replacement method. url (type: String.t, default: nil) - The image URL. The image is fetched once at insertion time and a copy is stored for display inside the presentation. Images must be less than 50MB in size, cannot exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF format. The provided URL can be at most 2 kB in length. The URL itself is saved with the image, and exposed via the Image.source_url field.","ref":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.html","title":"GoogleApi.Slides.V1.Model.ReplaceImageRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.t/0","type":"type"},{"doc":"A single kind of update to apply to a presentation. Attributes deleteObject (type: GoogleApi.Slides.V1.Model.DeleteObjectRequest.t, default: nil) - Deletes a page or page element from the presentation. insertTableColumns (type: GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.t, default: nil) - Inserts columns into a table. deleteParagraphBullets (type: GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.t, default: nil) - Deletes bullets from paragraphs. deleteTableColumn (type: GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.t, default: nil) - Deletes a column from a table. updateTableBorderProperties (type: GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.t, default: nil) - Updates the properties of the table borders in a Table. updatePageProperties (type: GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.t, default: nil) - Updates the properties of a Page. groupObjects (type: GoogleApi.Slides.V1.Model.GroupObjectsRequest.t, default: nil) - Groups objects, such as page elements. updateTableCellProperties (type: GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.t, default: nil) - Updates the properties of a TableCell. updateShapeProperties (type: GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.t, default: nil) - Updates the properties of a Shape. deleteText (type: GoogleApi.Slides.V1.Model.DeleteTextRequest.t, default: nil) - Deletes text from a shape or a table cell. createSheetsChart (type: GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.t, default: nil) - Creates an embedded Google Sheets chart. replaceImage (type: GoogleApi.Slides.V1.Model.ReplaceImageRequest.t, default: nil) - Replaces an existing image with a new image. createSlide (type: GoogleApi.Slides.V1.Model.CreateSlideRequest.t, default: nil) - Creates a new slide. createTable (type: GoogleApi.Slides.V1.Model.CreateTableRequest.t, default: nil) - Creates a new table. updateTableColumnProperties (type: GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.t, default: nil) - Updates the properties of a Table column. createVideo (type: GoogleApi.Slides.V1.Model.CreateVideoRequest.t, default: nil) - Creates a video. createLine (type: GoogleApi.Slides.V1.Model.CreateLineRequest.t, default: nil) - Creates a line. deleteTableRow (type: GoogleApi.Slides.V1.Model.DeleteTableRowRequest.t, default: nil) - Deletes a row from a table. ungroupObjects (type: GoogleApi.Slides.V1.Model.UngroupObjectsRequest.t, default: nil) - Ungroups objects, such as groups. rerouteLine (type: GoogleApi.Slides.V1.Model.RerouteLineRequest.t, default: nil) - Reroutes a line such that it&#39;s connected at the two closest connection sites on the connected page elements. updateTableRowProperties (type: GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.t, default: nil) - Updates the properties of a Table row. updateTextStyle (type: GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.t, default: nil) - Updates the styling of text within a Shape or Table. updateImageProperties (type: GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.t, default: nil) - Updates the properties of an Image. insertTableRows (type: GoogleApi.Slides.V1.Model.InsertTableRowsRequest.t, default: nil) - Inserts rows into a table. createImage (type: GoogleApi.Slides.V1.Model.CreateImageRequest.t, default: nil) - Creates an image. replaceAllShapesWithImage (type: GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.t, default: nil) - Replaces all shapes matching some criteria with an image. updatePageElementAltText (type: GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.t, default: nil) - Updates the alt text title and/or description of a page element. duplicateObject (type: GoogleApi.Slides.V1.Model.DuplicateObjectRequest.t, default: nil) - Duplicates a slide or page element. replaceAllText (type: GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.t, default: nil) - Replaces all instances of specified text. updateVideoProperties (type: GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.t, default: nil) - Updates the properties of a Video. replaceAllShapesWithSheetsChart (type: GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.t, default: nil) - Replaces all shapes matching some criteria with a Google Sheets chart. updatePageElementsZOrder (type: GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.t, default: nil) - Updates the Z-order of page elements. updatePageElementTransform (type: GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.t, default: nil) - Updates the transform of a page element. updateSlidesPosition (type: GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.t, default: nil) - Updates the position of a set of slides in the presentation. insertText (type: GoogleApi.Slides.V1.Model.InsertTextRequest.t, default: nil) - Inserts text into a shape or table cell. createShape (type: GoogleApi.Slides.V1.Model.CreateShapeRequest.t, default: nil) - Creates a new shape. createParagraphBullets (type: GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.t, default: nil) - Creates bullets for paragraphs. updateLineProperties (type: GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.t, default: nil) - Updates the properties of a Line. mergeTableCells (type: GoogleApi.Slides.V1.Model.MergeTableCellsRequest.t, default: nil) - Merges cells in a Table. unmergeTableCells (type: GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.t, default: nil) - Unmerges cells in a Table. refreshSheetsChart (type: GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.t, default: nil) - Refreshes a Google Sheets chart. updateLineCategory (type: GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.t, default: nil) - Updates the category of a line. updateParagraphStyle (type: GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.t, default: nil) - Updates the styling of paragraphs within a Shape or Table.","ref":"GoogleApi.Slides.V1.Model.Request.html","title":"GoogleApi.Slides.V1.Model.Request","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Request.html#decode/2","title":"GoogleApi.Slides.V1.Model.Request.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Request.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Request.t/0","type":"type"},{"doc":"Reroutes a line such that it&#39;s connected at the two closest connection sites on the connected page elements. Attributes objectId (type: String.t, default: nil) - The object ID of the line to reroute. Only a line with a category indicating it is a &quot;connector&quot; can be rerouted. The start and end connections of the line must be on different page elements.","ref":"GoogleApi.Slides.V1.Model.RerouteLineRequest.html","title":"GoogleApi.Slides.V1.Model.RerouteLineRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.RerouteLineRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.RerouteLineRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.RerouteLineRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.RerouteLineRequest.t/0","type":"type"},{"doc":"A single response from an update. Attributes createImage (type: GoogleApi.Slides.V1.Model.CreateImageResponse.t, default: nil) - The result of creating an image. createLine (type: GoogleApi.Slides.V1.Model.CreateLineResponse.t, default: nil) - The result of creating a line. createShape (type: GoogleApi.Slides.V1.Model.CreateShapeResponse.t, default: nil) - The result of creating a shape. createSheetsChart (type: GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.t, default: nil) - The result of creating a Google Sheets chart. createSlide (type: GoogleApi.Slides.V1.Model.CreateSlideResponse.t, default: nil) - The result of creating a slide. createTable (type: GoogleApi.Slides.V1.Model.CreateTableResponse.t, default: nil) - The result of creating a table. createVideo (type: GoogleApi.Slides.V1.Model.CreateVideoResponse.t, default: nil) - The result of creating a video. duplicateObject (type: GoogleApi.Slides.V1.Model.DuplicateObjectResponse.t, default: nil) - The result of duplicating an object. groupObjects (type: GoogleApi.Slides.V1.Model.GroupObjectsResponse.t, default: nil) - The result of grouping objects. replaceAllShapesWithImage (type: GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.t, default: nil) - The result of replacing all shapes matching some criteria with an image. replaceAllShapesWithSheetsChart (type: GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.t, default: nil) - The result of replacing all shapes matching some criteria with a Google Sheets chart. replaceAllText (type: GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.t, default: nil) - The result of replacing text.","ref":"GoogleApi.Slides.V1.Model.Response.html","title":"GoogleApi.Slides.V1.Model.Response","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Response.html#decode/2","title":"GoogleApi.Slides.V1.Model.Response.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Response.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Response.t/0","type":"type"},{"doc":"An RGB color. Attributes blue (type: number(), default: nil) - The blue component of the color, from 0.0 to 1.0. green (type: number(), default: nil) - The green component of the color, from 0.0 to 1.0. red (type: number(), default: nil) - The red component of the color, from 0.0 to 1.0.","ref":"GoogleApi.Slides.V1.Model.RgbColor.html","title":"GoogleApi.Slides.V1.Model.RgbColor","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.RgbColor.html#decode/2","title":"GoogleApi.Slides.V1.Model.RgbColor.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.RgbColor.html#t:t/0","title":"GoogleApi.Slides.V1.Model.RgbColor.t/0","type":"type"},{"doc":"The shadow properties of a page element. If these fields are unset, they may be inherited from a parent placeholder if it exists. If there is no parent, the fields will default to the value used for new page elements created in the Slides editor, which may depend on the page element kind. Attributes alignment (type: String.t, default: nil) - The alignment point of the shadow, that sets the origin for translate, scale and skew of the shadow. This property is read-only. alpha (type: number(), default: nil) - The alpha of the shadow&#39;s color, from 0.0 to 1.0. blurRadius (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The radius of the shadow blur. The larger the radius, the more diffuse the shadow becomes. color (type: GoogleApi.Slides.V1.Model.OpaqueColor.t, default: nil) - The shadow color value. propertyState (type: String.t, default: nil) - The shadow property state. Updating the shadow on a page element will implicitly update this field to RENDERED, unless another value is specified in the same request. To have no shadow on a page element, set this field to NOT_RENDERED. In this case, any other shadow fields set in the same request will be ignored. rotateWithShape (type: boolean(), default: nil) - Whether the shadow should rotate with the shape. This property is read-only. transform (type: GoogleApi.Slides.V1.Model.AffineTransform.t, default: nil) - Transform that encodes the translate, scale, and skew of the shadow, relative to the alignment position. type (type: String.t, default: nil) - The type of the shadow. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.Shadow.html","title":"GoogleApi.Slides.V1.Model.Shadow","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Shadow.html#decode/2","title":"GoogleApi.Slides.V1.Model.Shadow.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Shadow.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Shadow.t/0","type":"type"},{"doc":"A PageElement kind representing a generic shape that does not have a more specific classification. Attributes placeholder (type: GoogleApi.Slides.V1.Model.Placeholder.t, default: nil) - Placeholders are shapes that are inherit from corresponding placeholders on layouts and masters. If set, the shape is a placeholder shape and any inherited properties can be resolved by looking at the parent placeholder identified by the Placeholder.parent_object_id field. shapeProperties (type: GoogleApi.Slides.V1.Model.ShapeProperties.t, default: nil) - The properties of the shape. shapeType (type: String.t, default: nil) - The type of the shape. text (type: GoogleApi.Slides.V1.Model.TextContent.t, default: nil) - The text content of the shape.","ref":"GoogleApi.Slides.V1.Model.Shape.html","title":"GoogleApi.Slides.V1.Model.Shape","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Shape.html#decode/2","title":"GoogleApi.Slides.V1.Model.Shape.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Shape.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Shape.t/0","type":"type"},{"doc":"The shape background fill. Attributes propertyState (type: String.t, default: nil) - The background fill property state. Updating the fill on a shape will implicitly update this field to RENDERED, unless another value is specified in the same request. To have no fill on a shape, set this field to NOT_RENDERED. In this case, any other fill fields set in the same request will be ignored. solidFill (type: GoogleApi.Slides.V1.Model.SolidFill.t, default: nil) - Solid color fill.","ref":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.html","title":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.html#decode/2","title":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.t/0","type":"type"},{"doc":"The properties of a Shape. If the shape is a placeholder shape as determined by the placeholder field, then these properties may be inherited from a parent placeholder shape. Determining the rendered value of the property depends on the corresponding property_state field value. Attributes contentAlignment (type: String.t, default: nil) - The alignment of the content in the shape. If unspecified, the alignment is inherited from a parent placeholder if it exists. If the shape has no parent, the default alignment matches the alignment for new shapes created in the Slides editor. link (type: GoogleApi.Slides.V1.Model.Link.t, default: nil) - The hyperlink destination of the shape. If unset, there is no link. Links are not inherited from parent placeholders. outline (type: GoogleApi.Slides.V1.Model.Outline.t, default: nil) - The outline of the shape. If unset, the outline is inherited from a parent placeholder if it exists. If the shape has no parent, then the default outline depends on the shape type, matching the defaults for new shapes created in the Slides editor. shadow (type: GoogleApi.Slides.V1.Model.Shadow.t, default: nil) - The shadow properties of the shape. If unset, the shadow is inherited from a parent placeholder if it exists. If the shape has no parent, then the default shadow matches the defaults for new shapes created in the Slides editor. This property is read-only. shapeBackgroundFill (type: GoogleApi.Slides.V1.Model.ShapeBackgroundFill.t, default: nil) - The background fill of the shape. If unset, the background fill is inherited from a parent placeholder if it exists. If the shape has no parent, then the default background fill depends on the shape type, matching the defaults for new shapes created in the Slides editor.","ref":"GoogleApi.Slides.V1.Model.ShapeProperties.html","title":"GoogleApi.Slides.V1.Model.ShapeProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ShapeProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.ShapeProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ShapeProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ShapeProperties.t/0","type":"type"},{"doc":"A PageElement kind representing a linked chart embedded from Google Sheets. Attributes chartId (type: integer(), default: nil) - The ID of the specific chart in the Google Sheets spreadsheet that is embedded. contentUrl (type: String.t, default: nil) - The URL of an image of the embedded chart, with a default lifetime of 30 minutes. This URL is tagged with the account of the requester. Anyone with the URL effectively accesses the image as the original requester. Access to the image may be lost if the presentation&#39;s sharing settings change. sheetsChartProperties (type: GoogleApi.Slides.V1.Model.SheetsChartProperties.t, default: nil) - The properties of the Sheets chart. spreadsheetId (type: String.t, default: nil) - The ID of the Google Sheets spreadsheet that contains the source chart.","ref":"GoogleApi.Slides.V1.Model.SheetsChart.html","title":"GoogleApi.Slides.V1.Model.SheetsChart","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SheetsChart.html#decode/2","title":"GoogleApi.Slides.V1.Model.SheetsChart.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.SheetsChart.html#t:t/0","title":"GoogleApi.Slides.V1.Model.SheetsChart.t/0","type":"type"},{"doc":"The properties of the SheetsChart. Attributes chartImageProperties (type: GoogleApi.Slides.V1.Model.ImageProperties.t, default: nil) - The properties of the embedded chart image.","ref":"GoogleApi.Slides.V1.Model.SheetsChartProperties.html","title":"GoogleApi.Slides.V1.Model.SheetsChartProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SheetsChartProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.SheetsChartProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.SheetsChartProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.SheetsChartProperties.t/0","type":"type"},{"doc":"A width and height. Attributes height (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The height of the object. width (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The width of the object.","ref":"GoogleApi.Slides.V1.Model.Size.html","title":"GoogleApi.Slides.V1.Model.Size","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Size.html#decode/2","title":"GoogleApi.Slides.V1.Model.Size.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Size.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Size.t/0","type":"type"},{"doc":"The properties of Page that are only relevant for pages with page_type SLIDE. Attributes layoutObjectId (type: String.t, default: nil) - The object ID of the layout that this slide is based on. This property is read-only. masterObjectId (type: String.t, default: nil) - The object ID of the master that this slide is based on. This property is read-only. notesPage (type: GoogleApi.Slides.V1.Model.Page.t, default: nil) - The notes page that this slide is associated with. It defines the visual appearance of a notes page when printing or exporting slides with speaker notes. A notes page inherits properties from the notes master. The placeholder shape with type BODY on the notes page contains the speaker notes for this slide. The ID of this shape is identified by the speakerNotesObjectId field. The notes page is read-only except for the text content and styles of the speaker notes shape. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.SlideProperties.html","title":"GoogleApi.Slides.V1.Model.SlideProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SlideProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.SlideProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.SlideProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.SlideProperties.t/0","type":"type"},{"doc":"A solid color fill. The page or page element is filled entirely with the specified color value. If any field is unset, its value may be inherited from a parent placeholder if it exists. Attributes alpha (type: number(), default: nil) - The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: pixel color = alpha (color) + (1.0 - alpha) (background color) This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. color (type: GoogleApi.Slides.V1.Model.OpaqueColor.t, default: nil) - The color value of the solid fill.","ref":"GoogleApi.Slides.V1.Model.SolidFill.html","title":"GoogleApi.Slides.V1.Model.SolidFill","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SolidFill.html#decode/2","title":"GoogleApi.Slides.V1.Model.SolidFill.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.SolidFill.html#t:t/0","title":"GoogleApi.Slides.V1.Model.SolidFill.t/0","type":"type"},{"doc":"The stretched picture fill. The page or page element is filled entirely with the specified picture. The picture is stretched to fit its container. Attributes contentUrl (type: String.t, default: nil) - Reading the content_url: An URL to a picture with a default lifetime of 30 minutes. This URL is tagged with the account of the requester. Anyone with the URL effectively accesses the picture as the original requester. Access to the picture may be lost if the presentation&#39;s sharing settings change. Writing the content_url: The picture is fetched once at insertion time and a copy is stored for display inside the presentation. Pictures must be less than 50MB in size, cannot exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF format. The provided URL can be at most 2 kB in length. size (type: GoogleApi.Slides.V1.Model.Size.t, default: nil) - The original size of the picture fill. This field is read-only.","ref":"GoogleApi.Slides.V1.Model.StretchedPictureFill.html","title":"GoogleApi.Slides.V1.Model.StretchedPictureFill","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.StretchedPictureFill.html#decode/2","title":"GoogleApi.Slides.V1.Model.StretchedPictureFill.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.StretchedPictureFill.html#t:t/0","title":"GoogleApi.Slides.V1.Model.StretchedPictureFill.t/0","type":"type"},{"doc":"A criteria that matches a specific string of text in a shape or table. Attributes matchCase (type: boolean(), default: nil) - Indicates whether the search should respect case: True: the search is case sensitive. False: the search is case insensitive. text (type: String.t, default: nil) - The text to search for in the shape or table.","ref":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.html","title":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.html#decode/2","title":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.html#t:t/0","title":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.t/0","type":"type"},{"doc":"A PageElement kind representing a table. Attributes columns (type: integer(), default: nil) - Number of columns in the table. horizontalBorderRows (type: list(GoogleApi.Slides.V1.Model.TableBorderRow.t), default: nil) - Properties of horizontal cell borders. A table&#39;s horizontal cell borders are represented as a grid. The grid has one more row than the number of rows in the table and the same number of columns as the table. For example, if the table is 3 x 3, its horizontal borders will be represented as a grid with 4 rows and 3 columns. rows (type: integer(), default: nil) - Number of rows in the table. tableColumns (type: list(GoogleApi.Slides.V1.Model.TableColumnProperties.t), default: nil) - Properties of each column. tableRows (type: list(GoogleApi.Slides.V1.Model.TableRow.t), default: nil) - Properties and contents of each row. Cells that span multiple rows are contained in only one of these rows and have a row_span greater than 1. verticalBorderRows (type: list(GoogleApi.Slides.V1.Model.TableBorderRow.t), default: nil) - Properties of vertical cell borders. A table&#39;s vertical cell borders are represented as a grid. The grid has the same number of rows as the table and one more column than the number of columns in the table. For example, if the table is 3 x 3, its vertical borders will be represented as a grid with 3 rows and 4 columns.","ref":"GoogleApi.Slides.V1.Model.Table.html","title":"GoogleApi.Slides.V1.Model.Table","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Table.html#decode/2","title":"GoogleApi.Slides.V1.Model.Table.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Table.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Table.t/0","type":"type"},{"doc":"The properties of each border cell. Attributes location (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The location of the border within the border table. tableBorderProperties (type: GoogleApi.Slides.V1.Model.TableBorderProperties.t, default: nil) - The border properties.","ref":"GoogleApi.Slides.V1.Model.TableBorderCell.html","title":"GoogleApi.Slides.V1.Model.TableBorderCell","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableBorderCell.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableBorderCell.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableBorderCell.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableBorderCell.t/0","type":"type"},{"doc":"The fill of the border. Attributes solidFill (type: GoogleApi.Slides.V1.Model.SolidFill.t, default: nil) - Solid fill.","ref":"GoogleApi.Slides.V1.Model.TableBorderFill.html","title":"GoogleApi.Slides.V1.Model.TableBorderFill","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableBorderFill.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableBorderFill.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableBorderFill.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableBorderFill.t/0","type":"type"},{"doc":"The border styling properties of the TableBorderCell. Attributes dashStyle (type: String.t, default: nil) - The dash style of the border. tableBorderFill (type: GoogleApi.Slides.V1.Model.TableBorderFill.t, default: nil) - The fill of the table border. weight (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The thickness of the border.","ref":"GoogleApi.Slides.V1.Model.TableBorderProperties.html","title":"GoogleApi.Slides.V1.Model.TableBorderProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableBorderProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableBorderProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableBorderProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableBorderProperties.t/0","type":"type"},{"doc":"Contents of each border row in a table. Attributes tableBorderCells (type: list(GoogleApi.Slides.V1.Model.TableBorderCell.t), default: nil) - Properties of each border cell. When a border&#39;s adjacent table cells are merged, it is not included in the response.","ref":"GoogleApi.Slides.V1.Model.TableBorderRow.html","title":"GoogleApi.Slides.V1.Model.TableBorderRow","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableBorderRow.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableBorderRow.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableBorderRow.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableBorderRow.t/0","type":"type"},{"doc":"Properties and contents of each table cell. Attributes columnSpan (type: integer(), default: nil) - Column span of the cell. location (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The location of the cell within the table. rowSpan (type: integer(), default: nil) - Row span of the cell. tableCellProperties (type: GoogleApi.Slides.V1.Model.TableCellProperties.t, default: nil) - The properties of the table cell. text (type: GoogleApi.Slides.V1.Model.TextContent.t, default: nil) - The text content of the cell.","ref":"GoogleApi.Slides.V1.Model.TableCell.html","title":"GoogleApi.Slides.V1.Model.TableCell","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableCell.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableCell.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableCell.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableCell.t/0","type":"type"},{"doc":"The table cell background fill. Attributes propertyState (type: String.t, default: nil) - The background fill property state. Updating the fill on a table cell will implicitly update this field to RENDERED, unless another value is specified in the same request. To have no fill on a table cell, set this field to NOT_RENDERED. In this case, any other fill fields set in the same request will be ignored. solidFill (type: GoogleApi.Slides.V1.Model.SolidFill.t, default: nil) - Solid color fill.","ref":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.html","title":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.t/0","type":"type"},{"doc":"A location of a single table cell within a table. Attributes columnIndex (type: integer(), default: nil) - The 0-based column index. rowIndex (type: integer(), default: nil) - The 0-based row index.","ref":"GoogleApi.Slides.V1.Model.TableCellLocation.html","title":"GoogleApi.Slides.V1.Model.TableCellLocation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableCellLocation.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableCellLocation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableCellLocation.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableCellLocation.t/0","type":"type"},{"doc":"The properties of the TableCell. Attributes contentAlignment (type: String.t, default: nil) - The alignment of the content in the table cell. The default alignment matches the alignment for newly created table cells in the Slides editor. tableCellBackgroundFill (type: GoogleApi.Slides.V1.Model.TableCellBackgroundFill.t, default: nil) - The background fill of the table cell. The default fill matches the fill for newly created table cells in the Slides editor.","ref":"GoogleApi.Slides.V1.Model.TableCellProperties.html","title":"GoogleApi.Slides.V1.Model.TableCellProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableCellProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableCellProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableCellProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableCellProperties.t/0","type":"type"},{"doc":"Properties of each column in a table. Attributes columnWidth (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - Width of a column.","ref":"GoogleApi.Slides.V1.Model.TableColumnProperties.html","title":"GoogleApi.Slides.V1.Model.TableColumnProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableColumnProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableColumnProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableColumnProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableColumnProperties.t/0","type":"type"},{"doc":"A table range represents a reference to a subset of a table. It&#39;s important to note that the cells specified by a table range do not necessarily form a rectangle. For example, let&#39;s say we have a 3 x 3 table where all the cells of the last row are merged together. The table looks like this: [ ] A table range with location = (0, 0), row span = 3 and column span = 2 specifies the following cells: x x [ x x x ] Attributes columnSpan (type: integer(), default: nil) - The column span of the table range. location (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The starting location of the table range. rowSpan (type: integer(), default: nil) - The row span of the table range.","ref":"GoogleApi.Slides.V1.Model.TableRange.html","title":"GoogleApi.Slides.V1.Model.TableRange","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableRange.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableRange.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableRange.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableRange.t/0","type":"type"},{"doc":"Properties and contents of each row in a table. Attributes rowHeight (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - Height of a row. tableCells (type: list(GoogleApi.Slides.V1.Model.TableCell.t), default: nil) - Properties and contents of each cell. Cells that span multiple columns are represented only once with a column_span greater than 1. As a result, the length of this collection does not always match the number of columns of the entire table. tableRowProperties (type: GoogleApi.Slides.V1.Model.TableRowProperties.t, default: nil) - Properties of the row.","ref":"GoogleApi.Slides.V1.Model.TableRow.html","title":"GoogleApi.Slides.V1.Model.TableRow","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableRow.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableRow.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableRow.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableRow.t/0","type":"type"},{"doc":"Properties of each row in a table. Attributes minRowHeight (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - Minimum height of the row. The row will be rendered in the Slides editor at a height equal to or greater than this value in order to show all the text in the row&#39;s cell(s).","ref":"GoogleApi.Slides.V1.Model.TableRowProperties.html","title":"GoogleApi.Slides.V1.Model.TableRowProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableRowProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.TableRowProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TableRowProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TableRowProperties.t/0","type":"type"},{"doc":"The general text content. The text must reside in a compatible shape (e.g. text box or rectangle) or a table cell in a page. Attributes lists (type: %{optional(String.t) =&gt; GoogleApi.Slides.V1.Model.List.t}, default: nil) - The bulleted lists contained in this text, keyed by list ID. textElements (type: list(GoogleApi.Slides.V1.Model.TextElement.t), default: nil) - The text contents broken down into its component parts, including styling information. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.TextContent.html","title":"GoogleApi.Slides.V1.Model.TextContent","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TextContent.html#decode/2","title":"GoogleApi.Slides.V1.Model.TextContent.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TextContent.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TextContent.t/0","type":"type"},{"doc":"A TextElement describes the content of a range of indices in the text content of a Shape or TableCell. Attributes autoText (type: GoogleApi.Slides.V1.Model.AutoText.t, default: nil) - A TextElement representing a spot in the text that is dynamically replaced with content that can change over time. endIndex (type: integer(), default: nil) - The zero-based end index of this text element, exclusive, in Unicode code units. paragraphMarker (type: GoogleApi.Slides.V1.Model.ParagraphMarker.t, default: nil) - A marker representing the beginning of a new paragraph. The start_index and end_index of this TextElement represent the range of the paragraph. Other TextElements with an index range contained inside this paragraph&#39;s range are considered to be part of this paragraph. The range of indices of two separate paragraphs will never overlap. startIndex (type: integer(), default: nil) - The zero-based start index of this text element, in Unicode code units. textRun (type: GoogleApi.Slides.V1.Model.TextRun.t, default: nil) - A TextElement representing a run of text where all of the characters in the run have the same TextStyle. The start_index and end_index of TextRuns will always be fully contained in the index range of a single paragraph_marker TextElement. In other words, a TextRun will never span multiple paragraphs.","ref":"GoogleApi.Slides.V1.Model.TextElement.html","title":"GoogleApi.Slides.V1.Model.TextElement","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TextElement.html#decode/2","title":"GoogleApi.Slides.V1.Model.TextElement.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TextElement.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TextElement.t/0","type":"type"},{"doc":"A TextElement kind that represents a run of text that all has the same styling. Attributes content (type: String.t, default: nil) - The text of this run. style (type: GoogleApi.Slides.V1.Model.TextStyle.t, default: nil) - The styling applied to this run.","ref":"GoogleApi.Slides.V1.Model.TextRun.html","title":"GoogleApi.Slides.V1.Model.TextRun","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TextRun.html#decode/2","title":"GoogleApi.Slides.V1.Model.TextRun.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TextRun.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TextRun.t/0","type":"type"},{"doc":"Represents the styling that can be applied to a TextRun. If this text is contained in a shape with a parent placeholder, then these text styles may be inherited from the parent. Which text styles are inherited depend on the nesting level of lists: A text run in a paragraph that is not in a list will inherit its text style from the the newline character in the paragraph at the 0 nesting level of the list inside the parent placeholder. A text run in a paragraph that is in a list will inherit its text style from the newline character in the paragraph at its corresponding nesting level of the list inside the parent placeholder. Inherited text styles are represented as unset fields in this message. If text is contained in a shape without a parent placeholder, unsetting these fields will revert the style to a value matching the defaults in the Slides editor. Attributes backgroundColor (type: GoogleApi.Slides.V1.Model.OptionalColor.t, default: nil) - The background color of the text. If set, the color is either opaque or transparent, depending on if the opaque_color field in it is set. baselineOffset (type: String.t, default: nil) - The text&#39;s vertical offset from its normal position. Text with SUPERSCRIPT or SUBSCRIPT baseline offsets is automatically rendered in a smaller font size, computed based on the font_size field. The font_size itself is not affected by changes in this field. bold (type: boolean(), default: nil) - Whether or not the text is rendered as bold. fontFamily (type: String.t, default: nil) - The font family of the text. The font family can be any font from the Font menu in Slides or from [Google Fonts] (https://fonts.google.com/). If the font name is unrecognized, the text is rendered in Arial. Some fonts can affect the weight of the text. If an update request specifies values for both font_family and bold, the explicitly-set bold value is used. fontSize (type: GoogleApi.Slides.V1.Model.Dimension.t, default: nil) - The size of the text&#39;s font. When read, the font_size will specified in points. foregroundColor (type: GoogleApi.Slides.V1.Model.OptionalColor.t, default: nil) - The color of the text itself. If set, the color is either opaque or transparent, depending on if the opaque_color field in it is set. italic (type: boolean(), default: nil) - Whether or not the text is italicized. link (type: GoogleApi.Slides.V1.Model.Link.t, default: nil) - The hyperlink destination of the text. If unset, there is no link. Links are not inherited from parent text. Changing the link in an update request causes some other changes to the text style of the range: When setting a link, the text foreground color will be set to ThemeColorType.HYPERLINK and the text will be underlined. If these fields are modified in the same request, those values will be used instead of the link defaults. Setting a link on a text range that overlaps with an existing link will also update the existing link to point to the new URL. Links are not settable on newline characters. As a result, setting a link on a text range that crosses a paragraph boundary, such as &quot;ABC\\n123&quot;, will separate the newline character(s) into their own text runs. The link will be applied separately to the runs before and after the newline. Removing a link will update the text style of the range to match the style of the preceding text (or the default text styles if the preceding text is another link) unless different styles are being set in the same request. smallCaps (type: boolean(), default: nil) - Whether or not the text is in small capital letters. strikethrough (type: boolean(), default: nil) - Whether or not the text is struck through. underline (type: boolean(), default: nil) - Whether or not the text is underlined. weightedFontFamily (type: GoogleApi.Slides.V1.Model.WeightedFontFamily.t, default: nil) - The font family and rendered weight of the text. This field is an extension of font_family meant to support explicit font weights without breaking backwards compatibility. As such, when reading the style of a range of text, the value of weighted_font_family#font_family will always be equal to that of font_family. However, when writing, if both fields are included in the field mask (either explicitly or through the wildcard &quot;*&quot;), their values are reconciled as follows: If font_family is set and weighted_font_family is not, the value of font_family is applied with weight 400 (&quot;normal&quot;). If both fields are set, the value of font_family must match that of weighted_font_family#font_family. If so, the font family and weight of weighted_font_family is applied. Otherwise, a 400 bad request error is returned. If weighted_font_family is set and font_family is not, the font family and weight of weighted_font_family is applied. If neither field is set, the font family and weight of the text inherit from the parent. Note that these properties cannot inherit separately from each other. If an update request specifies values for both weighted_font_family and bold, the weighted_font_family is applied first, then bold. If weighted_font_family#weight is not set, it defaults to 400. If weighted_font_family is set, then weighted_font_family#font_family must also be set with a non-empty value. Otherwise, a 400 bad request error is returned.","ref":"GoogleApi.Slides.V1.Model.TextStyle.html","title":"GoogleApi.Slides.V1.Model.TextStyle","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TextStyle.html#decode/2","title":"GoogleApi.Slides.V1.Model.TextStyle.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.TextStyle.html#t:t/0","title":"GoogleApi.Slides.V1.Model.TextStyle.t/0","type":"type"},{"doc":"A pair mapping a theme color type to the concrete color it represents. Attributes color (type: GoogleApi.Slides.V1.Model.RgbColor.t, default: nil) - The concrete color corresponding to the theme color type above. type (type: String.t, default: nil) - The type of the theme color.","ref":"GoogleApi.Slides.V1.Model.ThemeColorPair.html","title":"GoogleApi.Slides.V1.Model.ThemeColorPair","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ThemeColorPair.html#decode/2","title":"GoogleApi.Slides.V1.Model.ThemeColorPair.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.ThemeColorPair.html#t:t/0","title":"GoogleApi.Slides.V1.Model.ThemeColorPair.t/0","type":"type"},{"doc":"The thumbnail of a page. Attributes contentUrl (type: String.t, default: nil) - The content URL of the thumbnail image. The URL to the image has a default lifetime of 30 minutes. This URL is tagged with the account of the requester. Anyone with the URL effectively accesses the image as the original requester. Access to the image may be lost if the presentation&#39;s sharing settings change. The mime type of the thumbnail image is the same as specified in the GetPageThumbnailRequest. height (type: integer(), default: nil) - The positive height in pixels of the thumbnail image. width (type: integer(), default: nil) - The positive width in pixels of the thumbnail image.","ref":"GoogleApi.Slides.V1.Model.Thumbnail.html","title":"GoogleApi.Slides.V1.Model.Thumbnail","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Thumbnail.html#decode/2","title":"GoogleApi.Slides.V1.Model.Thumbnail.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Thumbnail.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Thumbnail.t/0","type":"type"},{"doc":"Ungroups objects, such as groups. Attributes objectIds (type: list(String.t), default: nil) - The object IDs of the objects to ungroup. Only groups that are not inside other groups can be ungrouped. All the groups should be on the same page. The group itself is deleted. The visual sizes and positions of all the children are preserved.","ref":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.html","title":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.t/0","type":"type"},{"doc":"Unmerges cells in a Table. Attributes objectId (type: String.t, default: nil) - The object ID of the table. tableRange (type: GoogleApi.Slides.V1.Model.TableRange.t, default: nil) - The table range specifying which cells of the table to unmerge. All merged cells in this range will be unmerged, and cells that are already unmerged will not be affected. If the range has no merged cells, the request will do nothing. If there is text in any of the merged cells, the text will remain in the upper-left (&quot;head&quot;) cell of the resulting block of unmerged cells.","ref":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.html","title":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.t/0","type":"type"},{"doc":"Update the properties of an Image. Attributes fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root imageProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the image outline color, set fields to &quot;outline.outlineFill.solidFill.color&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. imageProperties (type: GoogleApi.Slides.V1.Model.ImageProperties.t, default: nil) - The image properties to update. objectId (type: String.t, default: nil) - The object ID of the image the updates are applied to.","ref":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.t/0","type":"type"},{"doc":"Updates the category of a line. Attributes lineCategory (type: String.t, default: nil) - The line category to update to. The exact line type is determined based on the category to update to and how it&#39;s routed to connect to other page elements. objectId (type: String.t, default: nil) - The object ID of the line the update is applied to. Only a line with a category indicating it is a &quot;connector&quot; can be updated. The line may be rerouted after updating its category.","ref":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.t/0","type":"type"},{"doc":"Updates the properties of a Line. Attributes fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root lineProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the line solid fill color, set fields to &quot;lineFill.solidFill.color&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. lineProperties (type: GoogleApi.Slides.V1.Model.LineProperties.t, default: nil) - The line properties to update. objectId (type: String.t, default: nil) - The object ID of the line the update is applied to.","ref":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.t/0","type":"type"},{"doc":"Updates the alt text title and/or description of a page element. Attributes description (type: String.t, default: nil) - The updated alt text description of the page element. If unset the existing value will be maintained. The description is exposed to screen readers and other accessibility interfaces. Only use human readable values related to the content of the page element. objectId (type: String.t, default: nil) - The object ID of the page element the updates are applied to. title (type: String.t, default: nil) - The updated alt text title of the page element. If unset the existing value will be maintained. The title is exposed to screen readers and other accessibility interfaces. Only use human readable values related to the content of the page element.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.html","title":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.t/0","type":"type"},{"doc":"Updates the transform of a page element. Updating the transform of a group will change the absolute transform of the page elements in that group, which can change their visual appearance. See the documentation for PageElement.transform for more details. Attributes applyMode (type: String.t, default: nil) - The apply mode of the transform update. objectId (type: String.t, default: nil) - The object ID of the page element to update. transform (type: GoogleApi.Slides.V1.Model.AffineTransform.t, default: nil) - The input transform matrix used to update the page element.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.html","title":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.t/0","type":"type"},{"doc":"Updates the Z-order of page elements. Z-order is an ordering of the elements on the page from back to front. The page element in the front may cover the elements that are behind it. Attributes operation (type: String.t, default: nil) - The Z-order operation to apply on the page elements. When applying the operation on multiple page elements, the relative Z-orders within these page elements before the operation is maintained. pageElementObjectIds (type: list(String.t), default: nil) - The object IDs of the page elements to update. All the page elements must be on the same page and must not be grouped.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.html","title":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.t/0","type":"type"},{"doc":"Updates the properties of a Page. Attributes fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root pageProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the page background solid fill color, set fields to &quot;pageBackgroundFill.solidFill.color&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. objectId (type: String.t, default: nil) - The object ID of the page the update is applied to. pageProperties (type: GoogleApi.Slides.V1.Model.PageProperties.t, default: nil) - The page properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.t/0","type":"type"},{"doc":"Updates the styling for all of the paragraphs within a Shape or Table that overlap with the given text index range. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The location of the cell in the table containing the paragraph(s) to style. If object_id refers to a table, cell_location must have a value. Otherwise, it must not. fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root style is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example, to update the paragraph alignment, set fields to &quot;alignment&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. objectId (type: String.t, default: nil) - The object ID of the shape or table with the text to be styled. style (type: GoogleApi.Slides.V1.Model.ParagraphStyle.t, default: nil) - The paragraph&#39;s style. textRange (type: GoogleApi.Slides.V1.Model.Range.t, default: nil) - The range of text containing the paragraph(s) to style.","ref":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.t/0","type":"type"},{"doc":"Update the properties of a Shape. Attributes fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root shapeProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the shape background solid fill color, set fields to &quot;shapeBackgroundFill.solidFill.color&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. objectId (type: String.t, default: nil) - The object ID of the shape the updates are applied to. shapeProperties (type: GoogleApi.Slides.V1.Model.ShapeProperties.t, default: nil) - The shape properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.t/0","type":"type"},{"doc":"Updates the position of slides in the presentation. Attributes insertionIndex (type: integer(), default: nil) - The index where the slides should be inserted, based on the slide arrangement before the move takes place. Must be between zero and the number of slides in the presentation, inclusive. slideObjectIds (type: list(String.t), default: nil) - The IDs of the slides in the presentation that should be moved. The slides in this list must be in existing presentation order, without duplicates.","ref":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.t/0","type":"type"},{"doc":"Updates the properties of the table borders in a Table. Attributes borderPosition (type: String.t, default: nil) - The border position in the table range the updates should apply to. If a border position is not specified, the updates will apply to all borders in the table range. fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root tableBorderProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the table border solid fill color, set fields to &quot;tableBorderFill.solidFill.color&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. objectId (type: String.t, default: nil) - The object ID of the table. tableBorderProperties (type: GoogleApi.Slides.V1.Model.TableBorderProperties.t, default: nil) - The table border properties to update. tableRange (type: GoogleApi.Slides.V1.Model.TableRange.t, default: nil) - The table range representing the subset of the table to which the updates are applied. If a table range is not specified, the updates will apply to the entire table.","ref":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.t/0","type":"type"},{"doc":"Update the properties of a TableCell. Attributes fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root tableCellProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the table cell background solid fill color, set fields to &quot;tableCellBackgroundFill.solidFill.color&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. objectId (type: String.t, default: nil) - The object ID of the table. tableCellProperties (type: GoogleApi.Slides.V1.Model.TableCellProperties.t, default: nil) - The table cell properties to update. tableRange (type: GoogleApi.Slides.V1.Model.TableRange.t, default: nil) - The table range representing the subset of the table to which the updates are applied. If a table range is not specified, the updates will apply to the entire table.","ref":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.t/0","type":"type"},{"doc":"Updates the properties of a Table column. Attributes columnIndices (type: list(integer()), default: nil) - The list of zero-based indices specifying which columns to update. If no indices are provided, all columns in the table will be updated. fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root tableColumnProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the column width, set fields to &quot;column_width&quot;. If &#39;&quot;column_width&quot;&#39; is included in the field mask but the property is left unset, the column width will default to 406,400 EMU (32 points). objectId (type: String.t, default: nil) - The object ID of the table. tableColumnProperties (type: GoogleApi.Slides.V1.Model.TableColumnProperties.t, default: nil) - The table column properties to update. If the value of table_column_properties#column_width in the request is less than 406,400 EMU (32 points), a 400 bad request error is returned.","ref":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.t/0","type":"type"},{"doc":"Updates the properties of a Table row. Attributes fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root tableRowProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the minimum row height, set fields to &quot;min_row_height&quot;. If &#39;&quot;min_row_height&quot;&#39; is included in the field mask but the property is left unset, the minimum row height will default to 0. objectId (type: String.t, default: nil) - The object ID of the table. rowIndices (type: list(integer()), default: nil) - The list of zero-based indices specifying which rows to update. If no indices are provided, all rows in the table will be updated. tableRowProperties (type: GoogleApi.Slides.V1.Model.TableRowProperties.t, default: nil) - The table row properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.t/0","type":"type"},{"doc":"Update the styling of text in a Shape or Table. Attributes cellLocation (type: GoogleApi.Slides.V1.Model.TableCellLocation.t, default: nil) - The location of the cell in the table containing the text to style. If object_id refers to a table, cell_location must have a value. Otherwise, it must not. fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root style is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example, to update the text style to bold, set fields to &quot;bold&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. objectId (type: String.t, default: nil) - The object ID of the shape or table with the text to be styled. style (type: GoogleApi.Slides.V1.Model.TextStyle.t, default: nil) - The style(s) to set on the text. If the value for a particular style matches that of the parent, that style will be set to inherit. Certain text style changes may cause other changes meant to mirror the behavior of the Slides editor. See the documentation of TextStyle for more information. textRange (type: GoogleApi.Slides.V1.Model.Range.t, default: nil) - The range of text to style. The range may be extended to include adjacent newlines. If the range fully contains a paragraph belonging to a list, the paragraph&#39;s bullet is also updated with the matching text style.","ref":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.t/0","type":"type"},{"doc":"Update the properties of a Video. Attributes fields (type: String.t, default: nil) - The fields that should be updated. At least one field must be specified. The root videoProperties is implied and should not be specified. A single &quot;*&quot; can be used as short-hand for listing every field. For example to update the video outline color, set fields to &quot;outline.outlineFill.solidFill.color&quot;. To reset a property to its default value, include its field name in the field mask but leave the field itself unset. objectId (type: String.t, default: nil) - The object ID of the video the updates are applied to. videoProperties (type: GoogleApi.Slides.V1.Model.VideoProperties.t, default: nil) - The video properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.html","title":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.html#decode/2","title":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.html#t:t/0","title":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.t/0","type":"type"},{"doc":"A PageElement kind representing a video. Attributes id (type: String.t, default: nil) - The video source&#39;s unique identifier for this video. source (type: String.t, default: nil) - The video source. url (type: String.t, default: nil) - An URL to a video. The URL is valid as long as the source video exists and sharing settings do not change. videoProperties (type: GoogleApi.Slides.V1.Model.VideoProperties.t, default: nil) - The properties of the video.","ref":"GoogleApi.Slides.V1.Model.Video.html","title":"GoogleApi.Slides.V1.Model.Video","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Video.html#decode/2","title":"GoogleApi.Slides.V1.Model.Video.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.Video.html#t:t/0","title":"GoogleApi.Slides.V1.Model.Video.t/0","type":"type"},{"doc":"The properties of the Video. Attributes autoPlay (type: boolean(), default: nil) - Whether to enable video autoplay when the page is displayed in present mode. Defaults to false. end (type: integer(), default: nil) - The time at which to end playback, measured in seconds from the beginning of the video. If set, the end time should be after the start time. If not set or if you set this to a value that exceeds the video&#39;s length, the video will be played until its end. mute (type: boolean(), default: nil) - Whether to mute the audio during video playback. Defaults to false. outline (type: GoogleApi.Slides.V1.Model.Outline.t, default: nil) - The outline of the video. The default outline matches the defaults for new videos created in the Slides editor. start (type: integer(), default: nil) - The time at which to start playback, measured in seconds from the beginning of the video. If set, the start time should be before the end time. If you set this to a value that exceeds the video&#39;s length in seconds, the video will be played from the last second. If not set, the video will be played from the beginning.","ref":"GoogleApi.Slides.V1.Model.VideoProperties.html","title":"GoogleApi.Slides.V1.Model.VideoProperties","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.VideoProperties.html#decode/2","title":"GoogleApi.Slides.V1.Model.VideoProperties.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.VideoProperties.html#t:t/0","title":"GoogleApi.Slides.V1.Model.VideoProperties.t/0","type":"type"},{"doc":"Represents a font family and weight used to style a TextRun. Attributes fontFamily (type: String.t, default: nil) - The font family of the text. The font family can be any font from the Font menu in Slides or from [Google Fonts] (https://fonts.google.com/). If the font name is unrecognized, the text is rendered in Arial. weight (type: integer(), default: nil) - The rendered weight of the text. This field can have any value that is a multiple of 100 between 100 and 900, inclusive. This range corresponds to the numerical values described in the CSS 2.1 Specification, section 15.6, with non-numerical values disallowed. Weights greater than or equal to 700 are considered bold, and weights less than 700are not bold. The default value is 400 (&quot;normal&quot;).","ref":"GoogleApi.Slides.V1.Model.WeightedFontFamily.html","title":"GoogleApi.Slides.V1.Model.WeightedFontFamily","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.WeightedFontFamily.html#decode/2","title":"GoogleApi.Slides.V1.Model.WeightedFontFamily.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.WeightedFontFamily.html#t:t/0","title":"GoogleApi.Slides.V1.Model.WeightedFontFamily.t/0","type":"type"},{"doc":"A PageElement kind representing word art. Attributes renderedText (type: String.t, default: nil) - The text rendered as word art.","ref":"GoogleApi.Slides.V1.Model.WordArt.html","title":"GoogleApi.Slides.V1.Model.WordArt","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.WordArt.html#decode/2","title":"GoogleApi.Slides.V1.Model.WordArt.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.WordArt.html#t:t/0","title":"GoogleApi.Slides.V1.Model.WordArt.t/0","type":"type"},{"doc":"Provides control over how write requests are executed. Attributes requiredRevisionId (type: String.t, default: nil) - The revision ID of the presentation required for the write request. If specified and the required_revision_id doesn&#39;t exactly match the presentation&#39;s current revision_id, the request will not be processed and will return a 400 bad request error.","ref":"GoogleApi.Slides.V1.Model.WriteControl.html","title":"GoogleApi.Slides.V1.Model.WriteControl","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.WriteControl.html#decode/2","title":"GoogleApi.Slides.V1.Model.WriteControl.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.Slides.V1.Model.WriteControl.html#t:t/0","title":"GoogleApi.Slides.V1.Model.WriteControl.t/0","type":"type"}]